<?php

/**
 *
 * @category  Helper
 * 
 * @since     Version 1.0.0
 */
if (!defined('BASEPATH')) exit('No direct script access allowed');
/**
 * CodeIgniter Helper
 * 
 * Helper operations.
 *
 * @category  Helper
 * 
 */
function get_alligator_active_key()
{
	if (TAP_PAYMENT_MODE && TAP_PAYMENT_MODE == 'live') {
		return TAP_API_KEY_LIVE;
	} else {
		return TAP_API_KEY_TEST;
	}
}
function get_tap_active_key()
{
	$ci = &get_instance();
	$key = '';
	$currency = '';
	$records = $ci->crunchy_model->get_tap_business();
	if (!empty($records) && isset($records[0])) {
		$rec = $records[0];
	}
	$headers = array(
		"authorization: Bearer " . get_alligator_active_key(),
		"cache-control: no-cache",
		"content-type: application/json"
	);

	$response = create_curl_request(TAP_OPERATOR_FETCH_URL. $rec->operator_id, "{}", $headers, "GET");
	
	if (isset($response)) {

		$response = json_decode($response);

		if (isset($response->status) && strtolower($response->status) == 'active' && isset($response->id)) {
			switch (TAP_PAYMENT_MODE) {
				case 'test':
					if (isset($response->api_credentials->test->secret)) {
						$key = $response->api_credentials->test->secret;
					}

					break;
				case 'live':
					if (isset($response->api_credentials->live->secret)) {
						$key = $response->api_credentials->live->secret;
					}
					break;
			}
			$response = create_curl_request(TAP_WALLET_FETCH_URL. $rec->wallet_id, "{}", $headers, "GET");
			if (isset($response)) {
				$response = json_decode($response);
			}
		
			if (isset($response->id) && isset($response->status) && strtolower($response->status) == 'active' && isset($response->base_currency)) {
				
						$currency = $response->base_currency;
			
			}
		}
	}

	return $key . "|||" . $currency;
}
function get_tap_country_code()
{
	$cc = '973';
	$ci = &get_instance();
	$records = $ci->crunchy_model->get_tap_business();
	if (!empty($records) && isset($records[0])) {
		$rec = $records[0];
		if (isset($rec->country_code) && strlen($rec->country_code) > 0) {
			$cc = $rec->country_code;
		}
	}

	return $cc;
}
function check_tap_status()
{
	$ci = &get_instance();
	$online_status = 0;

	$records = $ci->crunchy_model->get_tap_business();
	if (!empty($records) && isset($records[0])) {
		$rec = $records[0];
	}
	$headers = array(
		"authorization: Bearer " . get_alligator_active_key(),
		"cache-control: no-cache",
		"content-type: application/json"
	);

	$response = create_curl_request(TAP_OPERATOR_FETCH_URL . $rec->operator_id, "{}", $headers, "GET");

	if (isset($response)) {
		$response = json_decode($response);
		if (isset($response->status) && strtolower($response->status) == 'active' && isset($response->id)) {
			switch (TAP_PAYMENT_MODE) {
				case 'test':
					if (isset($response->api_credentials->test->secret)) {
						$online_status = 1;
					}
					break;
				case 'live':
					if (isset($response->api_credentials->live->secret)) {
						$online_status = 1;
					}
					break;
			}
		
		} else {
			$online_status = 0;
		}
	}
	if ($online_status == 1) {
		return 1;
	} else {
		return 0;
	}
}

function returnPrice($p = 0.00)
{
	return number_format($p, 3);
}
function random_new_string($length)
{
	$key = '';
	$keys = array_merge(range(0, 9), range('a', 'z'));

	for ($i = 0; $i < $length; $i++) {
		$key .= $keys[array_rand($keys)];
	}

	return $key;
}

function create_curl_request($url = null, $vars = null, $headers = array(), $post = "POST")
{
	$response = null;
	if (!isset($headers) || count($headers) == 0) {
		$headers = array(
			"Authorization: Bearer " . get_alligator_active_key()
		);
	}

	if (isset($url) && isset($vars)) :

		try {
			$curl = curl_init();
			if ($curl === false) {

				throw new Exception('failed to initialize');
			}

			curl_setopt_array($curl, array(
				CURLOPT_URL => $url,
				CURLOPT_HTTPHEADER => $headers,
				CURLOPT_RETURNTRANSFER => true,
				CURLOPT_ENCODING => "",
				CURLOPT_MAXREDIRS => 10,
				CURLOPT_TIMEOUT => 0,
				CURLOPT_FOLLOWLOCATION => true,
				CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
				CURLOPT_CUSTOMREQUEST => $post,
				CURLOPT_POSTFIELDS => $vars,
			));

			$response = curl_exec($curl);

			print_r(curl_error($curl));
			if ($response === false) {
				throw new Exception(curl_error($curl), curl_errno($curl));
			}


			curl_close($curl);
		} catch (Exception $e) {

			$response = 'Curl failed with error #' . $e->getCode() . ': ' . $e->getMessage();
		}
	endif;
	return $response;
}
function sendEmail($from = NULL, $to = NULL, $sub = NULL, $msg = NULL, $cc = NULL, $bcc = NULL, $attachment = NULL, $multiuser = NULL)
{


	$CI = &get_instance();
	$temp_rceipients = explode(',', $to);
	$receivers  = array();
	foreach ($temp_rceipients as $tr) {
		if (isset($tr) && filter_var($tr, FILTER_VALIDATE_EMAIL)) {
			array_push($receivers, $tr);
		}
	}

	if ($msg != "" && !empty($receivers)) {


		$CI->load->library('email');
		$CI->email->clear();
		$config = array(
			'protocol' 	=> 'smtp',
			'smtp_host' => SMTP_HOST,
			'smtp_user' => SMTP_USERNAME,
			'smtp_pass' => SMTP_PASSWORD,
			'smtp_port' => 587,

			'charset' 	=> 'utf-8',
			'mailtype' 	=> 'html',
			'newline' 	=> "\r\n",
			'wordwrap' 	=> TRUE
		);


		$CI->email->initialize($config);

		$CI->email->from("noreply@" . getDomain(), $CI->config->item('site_settings')->site_title);


		$CI->email->to(implode(', ', $receivers));

		if ($cc != "" && filter_var($cc, FILTER_VALIDATE_EMAIL))
			$CI->email->cc($cc);
		if ($bcc != "" && filter_var($bcc, FILTER_VALIDATE_EMAIL))
			$CI->email->bcc($bcc);

		if ($attachment != "")
			$CI->email->attach($attachment);

		$CI->email->subject($sub);
		$CI->email->message($msg);


		if ($CI->email->send(FALSE)) {
			return TRUE;
		} else {
			return false;
		}
	}
	return FALSE;
}



function getDomain()
{
	$CI = &get_instance();
	return preg_replace("/^[\w]{2,6}:\/\/([\w\d\.\-]+).*$/", "$1", $CI->config->slash_item('base_url'));
}


if (!function_exists('getUserRec')) {
	/**
	 * [getUserRec description]
	 * @param  string $userId [description]
	 * @return [type]         [description]
	 */
	function getUserRec($userId = '')
	{
		$CI = &get_instance();
		$user = $CI->ion_auth->user()->row();
		if ($userId != '' && is_numeric($userId)) {
			$user = $CI->ion_auth->user($userId)->row();
		}
		return $user;
	}
}



if (!function_exists('getUserType')) {
	/**
	 * [getUserType description]
	 * @param  string $user_id [description]
	 * @return [type]          [description]
	 */
	function getUserType($user_id = '')
	{
		$CI = &get_instance();
		$user_type = '';
		if ($user_id == '') {
			$user_id = getUserRec()->id;
		}
		$user_groups = $CI->ion_auth->get_users_groups($user_id)->result();
		switch ($user_groups[0]->id) {
			case 1:
				$user_type = 'admin';
				break;
			case 2:
				$user_type = 'user';
				break;
			case 3:
				$user_type = 'kitchen_manager';
				break;
			case 4:
				$user_type = 'delivery_manager';
				break;
			case 5:
				$user_type = 'branch_manager';
				break;
			default:
				break;
		}
		return $user_type;
	}
}



if (!function_exists('getUserTypeId')) {
	/**
	 * [getUserTypeId description]
	 * @param  string $user_id [description]
	 * @return [type]          [description]
	 */
	function getUserTypeId($user_id = '')
	{
		$CI = &get_instance();
		$user_type = '';
		if (getUserRec() != NULL) {
			if ($user_id == '') {
				$user_id = getUserRec()->id;
			}
			$user_groups = $CI->ion_auth->get_users_groups($user_id)->result();
			if (count($user_groups))
				return $user_groups[0]->id;
			else
				return 0;
		} else {
			return 0;
		}
	}
}




if (!function_exists('getTemplate')) {
	/**
	 * [getTemplate description]
	 * @return [type] [description]
	 */
	function getTemplate()
	{
		$CI = &get_instance();
		$user_type = '';
		$template = '';

		if ($CI->ion_auth->logged_in()) {
			$user_id = getUserRec()->id;

			$user_groups = $CI->ion_auth->get_users_groups($user_id)->result();
			switch ($user_groups[0]->id) {
				case 1:
					$user_type = 'admin';
					$template = TEMPLATE_ADMIN;
					break;
				case 2:
					$user_type = 'user';
					$template = TEMPLATE_SITE;
					break;
				case 3:
					$user_type = 'kitchen_manager';
					$template = TEMPLATE_KM;
					break;
				case 4:
					$user_type = 'delivery_manager';
					$template = TEMPLATE_DM;
					break;

				case 5:
					$user_type = 'branch_manager';
					$template = TEMPLATE_BM;
					break;
				default:
					$template = TEMPLATE_SITE;
					break;
			}
		} else {
			$template = TEMPLATE_SITE;
		}
		return $template;
	}
}




if (!function_exists('get_languageword')) {
	/**
	 * [get_languageword description]
	 * @param  string $phrase    [description]
	 * @param  array  $variables [description]
	 * @return [type]            [description]
	 */
	function get_languageword($phrase = '', $variables = array())
	{
		$phrase = strip_tags($phrase);
		$CI	= &get_instance();
		$CI->load->database();
		$current_language	=	strtolower($CI->session->userdata('current_language'));
		$sitedefault = $CI->config->item('site_settings')->site_language;
		//echo $current_language;die();
		if ($current_language	==	'') {
			if ($sitedefault != '') {
				$CI->session->set_userdata('current_language', $sitedefault);
			} else {
				$CI->session->set_userdata('current_language', 'english');
			}

			$CI->session->set_userdata('current_language', 'english');
			$current_language	=	strtolower($CI->session->userdata('current_language'));
		} elseif ($current_language != $sitedefault) {
			if ($sitedefault != '') {
				$CI->session->set_userdata('current_language', $sitedefault);
			} else {
				$CI->session->set_userdata('current_language', 'english');
			}
		}
		$query = $CI->db->get_where('languagewords', array('lang_key' => $phrase));
		$row   	=	$query->row();

		if ($row == NULL) {

			$data = array(
				'lang_key' => $phrase,
				'english' => ucfirst(str_replace('_', ' ', $phrase)),
			);
			$CI->db->insert('languagewords', $data); //If word is not found in database we are inserting it as new word
		}

		if (isset($row->$current_language) && $row->$current_language != "") {
			if (empty($variables)) {
				return $row->$current_language;
			} else {
				return sprintf($row->$current_language, implode($variables));
			}
		} else {
			return str_replace('_', ' ', $phrase);
		}
	}
}




if (!function_exists('prepare_message')) {
	/**
	 * [prepare_message description]
	 * @param  [type]  $msg  [description]
	 * @param  integer $type [description]
	 * @return [type]        [description]
	 */
	function prepare_message($msg, $type = 2)
	{
		$returnmsg = '';
		switch ($type) {
			case 0:
				$returnmsg = " <div class='col-md-12'>
										<div class='alert alert-success'>
											<a href='#' class='close' data-dismiss='alert'>&times;</a>
											<strong>" . get_languageword('success') . "!</strong> " . $msg . "
										</div>
									</div>";
				break;
			case 1:
				$returnmsg = " <div class='col-md-12'>
										<div class='alert alert-danger'>
											<a href='#' class='close' data-dismiss='alert'>&times;</a>
											<strong>" . get_languageword('error') . "!</strong> " . $msg . "
										</div>
									</div>";
				break;
			case 2:
				$returnmsg = " <div class='col-md-12'>
										<div class='alert alert-info'>
											<a href='#' class='close' data-dismiss='alert'>&times;</a>
											<strong>" . get_languageword('info') . "!</strong> " . $msg . "
										</div>
									</div>";
				break;
			case 3:
				$returnmsg = " <div class='col-md-12'>
										<div class='alert alert-warning'>
											<a href='#' class='close' data-dismiss='alert'>&times;</a>
											<strong>" . get_languageword('warning') . "!</strong> " . $msg . "
										</div>
									</div>";
				break;
		}

		return $returnmsg;
	}
}

if (!function_exists('has_order_access')) {
	function has_order_access($order_id = null)
	{
		$CI	= &get_instance();
		$access = false;
		$branch_id = null;
		if ($CI->ion_auth->is_branch_manager()) {
			$branch_id = $CI->ion_auth->get_user_branch();
			if ($order_id) {
				$order = $CI->base_model->get_query_result("SELECT * FROM " . TBL_PREFIX . TBL_ORDERS . " WHERE order_id=" . $order_id);
				if (!empty($order)) {
					$order = $order[0];
					if ($order->order_type == 'takeaway') {
						if ((int) $order->branch_id == (int) $branch_id) {
							$access = true;
						}
					} else {

						$area = $CI->base_model->get_query_result("SELECT * FROM " . TBL_PREFIX . TBL_SERVICE_PROVIDE_LOCATIONS . " where service_provide_location_id=" . $order->city_id . " ");

						if (!empty($area) && (int) $area[0]->branch_id == (int) $branch_id) {
							$access = true;
						}
					}
				}
			}
		} else if ($CI->ion_auth->is_admin()) {
			$access = true;
		}
		return $access;
	}
}


if (!function_exists('check_access')) {
	/**
	 * [check_access description]
	 * @param  string $type [description]
	 * @return [type]       [description]
	 */
	function check_access($type = 'admin')
	{
		$CI	= &get_instance();

		if (!$CI->ion_auth->logged_in()) {
			$CI->prepare_flashmessage(get_languageword('Please_login_to_continue'), 2);
			redirect(SITEURL);
		} elseif ($type == 'admin') {
			if (!$CI->ion_auth->is_admin()) {
				$CI->prepare_flashmessage(get_languageword('MSG_NO_ENTRY'), 2);
				redirect(SITEURL);
			}
		} elseif ($type == 'adminorbm') {
			if (!$CI->ion_auth->is_admin() && !$CI->ion_auth->is_branch_manager()) {
				$CI->prepare_flashmessage(get_languageword('MSG_NO_ENTRY'), 2);
				redirect(SITEURL);
			}
		} elseif ($type == 'user') {
			if (!$CI->ion_auth->is_member()) {
				$CI->prepare_flashmessage(get_languageword('Please_login_to_continue'), 2);
				redirect(SITEURL);
			}
		} elseif ($type == 'kitchen_manager') {
			if (!$CI->ion_auth->is_kitchen_manager()) {
				$CI->prepare_flashmessage(get_languageword('MSG_NO_ENTRY'), 2);
				redirect(SITEURL);
			}
		} elseif ($type == 'delivery_manager') {
			if (!$CI->ion_auth->is_delivery_manager()) {
				$CI->prepare_flashmessage(get_languageword('MSG_NO_ENTRY'), 2);
				redirect(SITEURL);
			}
		} elseif ($type == 'branch_manager') {
			if (!$CI->ion_auth->is_branch_manager()) {
				$CI->prepare_flashmessage(get_languageword('MSG_NO_ENTRY'), 2);
				redirect(SITEURL);
			}
		}
	}
}


if (!function_exists('get_date')) {
	/**
	 * [get_date description]
	 * @param  [type] $date [description]
	 * @return [type]       [description]
	 */
	function get_date($date)
	{
		$CI	= &get_instance();

		if ($date == '')
			return FALSE;
		else {
			$format = $CI->config->item('site_settings')->date_format;
			if ($format == '' || $format == 'Y-m-d')
				return $date;
			else {
				return date($format, strtotime($date));
			}
		}
	}
}


if (!function_exists('get_datepicker_format')) {
	/**
	 * [get_datepicker_format description]
	 * @return [type] [description]
	 */
	function get_datepicker_format()
	{
		$format = 'yyyy-mm-dd';

		$CI	= &get_instance();
		$set_format = $CI->config->item('site_settings')->date_format;

		switch ($set_format) {
			case 'Y-m-d':
				$format = 'yyyy-mm-dd';
				break;

			case 'Y/m/d':
				$format = 'yyyy/mm/dd';
				break;

			case 'Y.m.d':
				$format = 'yyyy.mm.dd';
				break;

			case 'd-m-Y':
				$format = 'dd-mm-yyyy';
				break;

			case 'd/m/Y':
				$format = 'dd/mm/yyyy';
				break;

			case 'd.m.Y':
				$format = 'dd.mm.YYYY';
				break;

			case 'm-d-Y':
				$format = 'mm-dd-yyyy';
				break;

			case 'm/d/Y':
				$format = 'mm/dd/yyyy';
				break;

			case 'm.d.Y':
				$format = 'mm.dd.yyyy';
				break;

			default:
				$format = 'yyyy-mm-dd';
				break;
		}
		return $format;
	}
}



if (!function_exists('activeinactive')) {
	/**
	 * [activeinactive description]
	 * @return [type] [description]
	 */
	function activeinactive()
	{
		return array('Active' => get_languageword('active'), 'Inactive' => get_languageword('inactive'));
	}
}


if (!function_exists('noyes')) {
	/**
	 * [noyes description]
	 * @return [type] [description]
	 */
	function noyes()
	{
		return array('No' => get_languageword('no'), 'Yes' => get_languageword('yes'));
	}
}



if (!function_exists('yesno')) {
	/**
	 * [yesno description]
	 * @return [type] [description]
	 */
	function yesno()
	{
		return array('Yes' => get_languageword('yes'), 'No' => get_languageword('no'));
	}
}



if (!function_exists('required_symbol')) {
	/**
	 * [required_symbol description]
	 * @return [type] [description]
	 */
	function required_symbol()
	{
		return '&nbsp;<font color="red">*</font>';
	}
}




if (!function_exists('get_user_image')) {
	/**
	 * [get_user_image description]
	 * @param  string $image [description]
	 * @return [type]        [description]
	 */
	function get_user_image($image = '')
	{
		if ($image != '')
			$image = $image;
		else {
			$user = getUserRec();
			if (!empty($user))
				$image = $user->photo;
		}

		if (!empty($image)) {
			if (file_exists(USER_IMG_UPLOAD_PATH_URL . $image))
				return USER_IMG_PATH . $image;
			else
				return DEFAULT_USER_IMAGE;
		} else {
			return DEFAULT_USER_IMAGE;
		}
	}
}



if (!function_exists('clean_string')) {
	/**
	 * [clean_string description]
	 * @param  string $string [description]
	 * @return [type]         [description]
	 */
	function clean_string($string = "")
	{
		if (empty($string))
			return "";

		$string = strtolower($string);
		$string = str_replace(' ', '-', $string); // Replaces all spaces with hyphens.
		$string = preg_replace('/[^A-Za-z0-9\-]/', '', $string); // Removes special chars.

		$string = preg_replace('/-+/', '-', $string); // Replaces multiple hyphens with single one.

		return $string;
	}
}




if (!function_exists('prepare_slug')) {
	/**
	 * [prepare_slug description]
	 * @param  string $string               [description]
	 * @param  string $column_to_be_checked [description]
	 * @param  string $table_name           [description]
	 * @return [type]                       [description]
	 */
	function prepare_slug($string = "", $column_to_be_checked = "", $table_name = "")
	{
		if (empty($string) || empty($column_to_be_checked) || empty($table_name))
			return "";

		$string = clean_string($string);

		$CI	= &get_instance();
		$duplicate_rec_cnt = $CI->db->where($column_to_be_checked, $string)->count_all_results($table_name);

		if ($duplicate_rec_cnt > 0) {
			$string .= '-' . $duplicate_rec_cnt;
		}

		return $string;
	}
}



if (!function_exists('filter_slug')) {
	/**
	 * [filter_slug description]
	 * @param  string $slug [description]
	 * @return [type]       [description]
	 */
	function filter_slug($slug = "")
	{
		if (empty($slug))
			return "";

		$slug = str_replace('_', '-', $slug);

		return $slug;
	}
}



if (!function_exists('get_language_opts')) {
	/**
	 * [get_language_opts description]
	 * @return [type] [description]
	 */
	function get_language_opts()
	{

		$CI	= &get_instance();
		/* $query  = "SELECT distinct(column_name) FROM information_schema.columns WHERE table_name='".TBL_PREFIX."languagewords' AND column_name!= 'lang_id' AND column_name!= 'phrase_for' AND column_name!= 'lang_key' "; */

		$query  = "SELECT distinct(tds.column_name),c.code FROM information_schema.columns tds,cr_language_codes c WHERE table_name='" . TBL_PREFIX . "languagewords' AND tds.column_name!= 'lang_id' AND tds.column_name!= 'phrase_for' AND tds.column_name!= 'lang_key' AND c.language=tds.column_name ";

		$languages = $CI->db->query($query)->result();

		$lang_opts = array('' => get_languageword('no_records_available'));
		if (!empty($languages)) {

			$lang_opts = array();

			foreach ($languages as $key => $value) {
				$lang_opts[$value->column_name] = ucwords($value->column_name);
			}
		}

		return $lang_opts;
	}
}



if (!function_exists('get_currency_opts')) {
	/**
	 * [get_currency_opts description]
	 * @return [type] [description]
	 */
	function get_currency_opts()
	{

		$CI	= &get_instance();
		$currencies = $CI->db->get('currency')->result();

		$currency_opts = array('' => get_languageword('no_records_available'));
		if (!empty($currencies)) {

			$currency_opts = array('' => get_languageword('select'));

			foreach ($currencies as $key => $value) {
				$currency_opts[$value->currency_code_alpha] = ucwords($value->currency_name);
			}
		}

		return $currency_opts;
	}
}



if (!function_exists('clean_text')) {
	/**
	 * [clean_text description]
	 * @param  [type] $string [description]
	 * @return [type]         [description]
	 */
	function clean_text($string)
	{
		$string = str_replace(' ', '_', $string); // Replaces all spaces with hyphens.

		return preg_replace('/[^A-Za-z0-9\_]/', '', $string); // Removes special chars.
	}
}




if (!function_exists('prepare_dropdown')) {

	/**
	 * [prepare_dropdown description]
	 * @param  string  $table_name      [description]
	 * @param  string  $isSelect        [description]
	 * @param  string  $col_value       [description]
	 * @param  [type]  $first_col_text  [description]
	 * @param  string  $second_col_text [description]
	 * @param  array   $cond            [description]
	 * @param  string  $order_by        [description]
	 * @param  boolean $include_all     [description]
	 * @return [type]                   [description]
	 */
	function prepare_dropdown($table_name = '', $isSelect = '', $col_value = '', $first_col_text, $second_col_text = '', $cond = array(), $order_by = '', $include_all = FALSE)
	{

		$CI = &get_instance();

		$catRecords = $CI->base_model->fetch_records_from(
			$table_name,
			is_array($cond) ? $cond : '',
			'',
			$order_by
		);
		if ($isSelect) {
			$catOptions[''] = 'Select';
		}

		if ($include_all) {
			$catOptions['All'] = 'All';
		}

		if ($second_col_text != '') {
			foreach ($catRecords as $key => $val) {
				$catOptions[$val->$col_value] = $val->$first_col_text . ' - ' . $val->$second_col_text;
			}
		} else {
			foreach ($catRecords as $key => $val) {
				$catOptions[$val->$col_value] = $val->$first_col_text;
			}
		}
		return $catOptions;
	}
}




if (!function_exists('get_fevicon')) {
	/**
	 * [get_fevicon description]
	 * @return [type] [description]
	 */
	function get_fevicon()
	{
		$CI	= &get_instance();

		$fevicon_img = '';

		if ($CI->config->item('site_settings')->fevicon != '' && file_exists(FEVICON_IMG_UPLOAD_PATH_URL . $CI->config->item('site_settings')->fevicon)) {
			$fevicon_img = FEVICON_IMG_PATH . $CI->config->item('site_settings')->fevicon;
		} else {
			$fevicon_img = FEVICON;
		}

		return $fevicon_img;
	}
}



if (!function_exists('get_site_logo')) {
	/**
	 * [get_site_logo description]
	 * @return [type] [description]
	 */
	function get_site_logo()
	{
		$CI	= &get_instance();

		$site_img = '';

		if ($CI->config->item('site_settings')->site_logo != '' && file_exists(LOGO_IMG_UPLOAD_PATH_URL . $CI->config->item('site_settings')->site_logo)) {
			$site_img = LOGO_IMG_PATH . $CI->config->item('site_settings')->site_logo;
		} else {
			$site_img = DEFAULT_SITE_LOGO;
		}

		return $site_img;
	}
}



if (!function_exists('get_second_site_logo')) {
	/**
	 * [get_second_site_logo description]
	 * @return [type] [description]
	 */
	function get_second_site_logo()
	{
		$CI	= &get_instance();

		$site_img = '';

		if ($CI->config->item('site_settings')->second_site_logo != '' && file_exists(LOGO_IMG_UPLOAD_PATH_URL . $CI->config->item('site_settings')->second_site_logo)) {
			$site_img = LOGO_IMG_PATH . $CI->config->item('site_settings')->second_site_logo;
		} else {
			$site_img = SECOND_DEFAULT_SITE_LOGO;
		}

		return $site_img;
	}
}



if (!function_exists('get_item_image')) {
	/**
	 * [get_item_image description]
	 * @param  string $image [description]
	 * @return [type]        [description]
	 */
	function get_item_image($image = '')
	{
		$item_img = '';
		if ($image == '') {
			$item_img = IMG_DEFAULT;
		} else {
			$CI	= &get_instance();

			if ($image != '' && file_exists(ITEM_IMG_UPLOAD_PATH_URL . $image)) {
				$item_img = ITEM_IMG_PATH . $image;
			} else {
				$item_img = IMG_DEFAULT;
			}
		}
		return $item_img;
	}
}



if (!function_exists('get_item_thumb_image')) {
	/**
	 * [get_item_thumb_image description]
	 * @param  string $image [description]
	 * @return [type]        [description]
	 */
	function get_item_thumb_image($image = '')
	{
		$item_img = '';
		if ($image == '') {
			$item_img = IMG_DEFAULT;
		} else {
			$CI	= &get_instance();

			if ($image != '' && file_exists(ITEM_IMG_UPLOAD_THUMB_PATH_URL . $image)) {
				$item_img = ITEM_IMG_THUMB_PATH . $image;
			} else {
				$item_img = IMG_DEFAULT;
			}
		}
		return $item_img;
	}
}


if (!function_exists('get_home_page_img')) {
	/**
	 * [get_home_page_img description]
	 * @return [type] [description]
	 */
	function get_home_page_img()
	{
		$CI	= &get_instance();

		$img = '';

		if ($CI->config->item('site_settings')->home_page_img != '' && file_exists(HOME_PAGE_IMG_UPLOAD_PATH_URL . $CI->config->item('site_settings')->home_page_img)) {
			$img = HOME_PAGE_IMG_PATH . $CI->config->item('site_settings')->home_page_img;
		} else {
			$img = DEFAULT_IMG_HOME_PAGE;
		}

		return $img;
	}
}

if (!function_exists('get_home_popup_img')) {
	/**
	 * [get_home_popup_img description]
	 * @return [type] [description]
	 */
	function get_home_popup_img()
	{
		$CI	= &get_instance();

		$img = '';

		if ($CI->config->item('site_settings')->popup_image != '' && file_exists(POPUP_IMG_UPLOAD_PATH_URL . $CI->config->item('site_settings')->popup_image)) {
			$img = POPUP_IMG_PATH . $CI->config->item('site_settings')->popup_image;
		} else {
			$img = DEFAULT_IMG_WELCOME_POPUP;
		}

		return $img;
	}
}




if (!function_exists('get_android_img')) {
	/**
	 * [get_android_img description]
	 * @return [type] [description]
	 */
	function get_android_img()
	{
		$CI	= &get_instance();

		$android_img = SITEURL . RESOURCES . DS . 'admin' . DS . 'img' . DS . 'android.png';

		return $android_img;
	}
}


if (!function_exists('get_ios_img')) {
	/**
	 * [get_ios_img description]
	 * @return [type] [description]
	 */
	function get_ios_img()
	{
		$CI	= &get_instance();

		$ios_img = SITEURL . RESOURCES . DS . 'admin' . DS . 'img' . DS . 'appleios.png';

		return $ios_img;
	}
}

function get_today_from_time()
{
	$current_day = strtolower(date("l"));
	$from_time = '';
	$from_field = $current_day . "_from_time";
	$CI	= &get_instance();
	$record = $CI->base_model->fetch_records_from(TBL_OPERATIONAL_HOURS);
	if (!empty($record)) {
		$record = $record[0];
		$from_time = $record->$from_field;
	}
	return $from_time;
}

function get_today_to_time()
{
	$current_day = strtolower(date("l"));
	$to_time = '';
	$to_field = $current_day . "_to_time";
	$CI	= &get_instance();
	$record = $CI->base_model->fetch_records_from(TBL_OPERATIONAL_HOURS);
	if (!empty($record)) {
		$record = $record[0];
		$to_time = $record->$to_field;
	}
	return $to_time;
}



if (!function_exists('get_pages')) {
	/**
	 * [get_fevicon description]
	 * @return [type] [description]
	 */
	function get_pages()
	{
		$CI	= &get_instance();

		$query  = "SELECT slug FROM cr_pages WHERE status='Active' ";

		$pages = $CI->db->query($query)->result();

		$page_opts = array();
		if (!empty($pages)) {
			foreach ($pages as $page) {
				array_push($page_opts, $page->slug);
			}
		}

		return $page_opts;
	}
}


/**************************************
23-02-2019
 **************************************/
if (!function_exists('language_type')) {
	function language_type()
	{
		$CI	= &get_instance();
		$CI->load->database();

		$textdir = 'ltr';

		$default_language =  $CI->session->userdata('current_language');

		if ($default_language == '') {

			$default_language = $CI->config->item('site_settings')->site_language;

			if ($default_language == '') {

				$CI->session->set_userdata('current_language', 'english');
			}
		}

		$default_language =  $CI->session->userdata('current_language');

		$rtl = array('arabic', 'hebrew', 'urdu', 'aramaic', 'azeri', 'kurdish', 'persian');

		if (in_array($default_language, $rtl)) { //is this a rtl language?
			$textdir = 'rtl'; //switch the direction
		}
		return $textdir;
	}
}

if (!function_exists('get_language_code')) {
	function get_language_code()
	{
		$CI	= &get_instance();
		$CI->load->database();

		$code = 'en';

		$current_language = $CI->session->userdata('current_language');

		$original_name = $current_language;
		if ($original_name) {
			//get target language short code
			$lang_record = $CI->db->query("SELECT code FROM cr_language_codes WHERE language='" . $original_name . "' ")->result();
			if (!empty($lang_record)) {
				$lang_record = $lang_record[0];
				$code = $lang_record->code;
			}
		}
		return $code;
	}
}

if (!function_exists('get_theme_option')) {
	function get_theme_option()
	{
		$theme_option=array('color'=>'#eb0026','font'=>'Roboto');
		$CI	= &get_instance();
		$record = $CI->base_model->fetch_records_from(TBL_THEME_SETTING);
		if (!empty($record)) {
			if (!empty($record[0]->fld_theme_color)) {
				$theme_option['color']= $record[0]->fld_theme_color;
			}
			if (!empty($record[0]->fld_theme_font)) {
				$theme_option['font'] = $record[0]->fld_theme_font;
			}
		}
		return $theme_option;
	}
}

if (!function_exists('get_font_list')) {
	function get_font_list()
	{
		$result = array();
		$fonts = file_get_contents(GOOGLE_FONTS_LIST);
		if (!empty($fonts)) {
			$fonts  = json_decode($fonts);
			foreach ($fonts->items as $font) {
				$result[$font->family] = $font->family;
			}
		}
		return $result;
	}
}


/********************* START Function Create By Israr  ************************/

if (!function_exists('get_today_closed_status')) {
	/**
	 * [get_today_closed_status description]
	 * @return [type] [boolean]
	 */
	function get_today_closed_status()
	{
		$open_status = TRUE;
		$current_day = strtolower(date("l"));
		$to_time = '';
		$to_field = $current_day . "_close";
		$CI	= &get_instance();
		$record = $CI->base_model->fetch_records_from(TBL_OPERATIONAL_HOURS);
		if (!empty($record)) {
			if (isset($record[0]->$to_field)) {
				if ($record[0]->$to_field == 'Open') {
					$open_status = FALSE;
				}
			}
		}
		return $open_status;
	}
}
//function to check if time lies in between two times
function isBetween($from, $till, $input)
{
	$f = DateTime::createFromFormat('!H:i', $from);
	$t = DateTime::createFromFormat('!H:i', $till);
	$i = DateTime::createFromFormat('!H:i', $input);
	if ($f > $t) $t->modify('+1 day');
	return ($f <= $i && $i <= $t) || ($f <= $i->modify('+1 day') && $i <= $t);
}
//If Current Operating Hours are not active return false else return true
function get_current_operational_status()
{
	$current_open = false;
	$current_time = date('H:i');
	$from_time = get_today_from_time();
	$to_time =  get_today_to_time();
	if ($from_time != '' && $to_time != '' && isBetween($from_time, $to_time, $current_time) == true) {
		$current_open = true;
	}
	return $current_open;
}
function sendCustomerEmail($order_id = null, $charge_id = null)
{
	$CI	= &get_instance();
	$order = null;
	if ($order_id || $charge_id) :
		if ($order_id) {
			$order = $CI->base_model->get_query_result("SELECT * FROM " . TBL_PREFIX . TBL_ORDERS . " WHERE `order_id`='" . $order_id . "'");
		} else {
			$order = $CI->base_model->get_query_result("SELECT * FROM " . TBL_PREFIX . TBL_ORDERS . " WHERE `transaction_id`='" . $charge_id . "'");
		}

		if (!empty($order)) {
			$order = $order[0];
			$order_id = $order->order_id;
			$area_name = '';
			if ($order->city_id) {
				$area_details = $CI->base_model->get_single_area($order->city_id);
				if (!empty($area_details) && count($area_details) > 0) {
					$area_details = $area_details[0];
					$area_name = $area_details->locality;
					if (isset($area_details->area_email)) {
						$area_email = $area_details->area_email;
					}
				}
			}
			if ($order->branch_id) {
				$branch_details = $CI->base_model->get_single_branch($order->branch_id);
				if (!empty($branch_details) && count($branch_details) > 0) {
					$branch_details = $branch_details[0];
					$branch_name = $branch_details->branches_title;
					$branch_phone = $branch_details->branches_phone;
					$branch_address = $branch_details->branches_address;
				}
			}

			$order_addons = array();
			$order_items = '';
			$order_add = '';
			$order_products = $CI->base_model->fetch_records_from(TBL_ORDER_PRODUCTS, array('order_id' => $order_id, 'is_deleted' => 0));
			if (!empty($order_products)) {

				$order_addons = $CI->base_model->fetch_records_from(TBL_ORDER_ADDONS, array('order_id' => $order_id));
			}
			foreach ($order_products as $op) {
				$temp_addons = array();
				$temp_options = array();
				$key = $op->common_id;
				$total_addons_cost = 0;
				foreach ($order_addons as $oadd) {
					if ($oadd->common_id == $key) {
						if ($oadd->is_mandatory == 1 || $oadd->is_mandatory == true) {
							array_push($temp_options, $oadd);
						} else {
							array_push($temp_addons, $oadd);
							$total_addons_cost += $oadd->price;
						}
					}
				}

				$op->addons = $temp_addons;
				$op->options = $temp_options;
				$op->total_addons_cost = $total_addons_cost;
			}
			if (isset($order_products) && !empty($order_products)) {

				$order_items = '
                            <table cellpadding="10" width="100%" id="example" class="display responsive nowrap" border="1">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Name</th>
							<th>Option</th>
							<th>Addons</th>
                            <th>Price</th>
                            <th>Quantity</th>
                            <th>Total</th>
                        
                        </tr>
                        </thead>
                        <tbody>';
				$i = 0;

				foreach ($order_products as $product) :
					$i++;
					$items_addons = get_order_products_addons($product->item_id, $product->order_id);
					$addons_names = $items_addons['name'];
					$addons_price = $items_addons['price'];
					$item_cost = returnPrice($product->item_cost) + returnPrice($addons_price);
					$order_items .= '<tr>
					<td>' . $i . '</td>
					<td>' . $product->item_name . '</td>';
					$order_items .= '<td><ul class="addons-table">';
					foreach ($product->options as $pa) :
						$order_items .= '<li>' . $pa->addon_name  . " " . $CI->config->item('site_settings')->currency_symbol . " +" . returnPrice($pa->final_cost) . '</li>';

					endforeach;

					$order_items .=	'</td><td>
					<ul class="addons-table">';
					foreach ($product->addons as $pa) :
						$order_items .= '<li>' . $pa->addon_name . " x " . $pa->quantity . " " . $CI->config->item('site_settings')->currency_symbol . " +" . returnPrice($pa->final_cost) . '</li>';

					endforeach;


					$order_items .= '
					<td>' . $CI->config->item('site_settings')->currency_symbol . " " . returnPrice($product->item_cost + $product->total_addons_cost) . '</td>
					<td>' . $product->item_qty . '</td>
					<td>' . $CI->config->item('site_settings')->currency_symbol . " " . returnPrice(($product->item_cost + $product->total_addons_cost) * $product->item_qty) . '</td>
					
				</tr>';
				endforeach;

				$order_items .= '</tbody></table>';
			}




			$email_template = '<strong>__SITE_LOGO__</strong></p>

	<h2><strong>Order Confirmation </strong></h2>
	
	<p> </p>
	
	<p>Dear <strong>__USER_NAME__</strong>, </p>
	
	<p>Thank you for placing an order. Your order will be with you soon. If you have any questions, please contact us.</p>
	
	<p><strong>Order Details</strong></p>' . $order_items  . '
	
	
   <p></p>
	<p>Order Time     <strong>__ORDER_TIME__</strong></p>';
			if ($order->order_type == 'delivery') {
				$email_template .= '<p>Delivery Fee:  <strong>' . $order->delivery_fee . ' BD</strong></p>';
			}

			$email_template .= '<p>Total <strong>__TOTAL_COST__</strong></p>

	<p>Payment Method           <strong>__PAYMENT_MODE__</strong></p>                    
		<p></p>';

			if ($order->order_type == 'delivery') {
				$email_template .= '<p><strong>Delivery Details</strong></p>';
			} else if ($order->order_type == 'takeaway') {
				$email_template .= '<p><strong>Take-away Details</strong></p>';
			} else if ($order->order_type == 'Digital Product') {
				$email_template .= '<p><strong>Digital Product Details</strong></p>';
			}


			$email_template .= '<p>Full Name   <strong>__USER_NAME__</strong></p>
		
		<p>Mobile Number <strong>__PHONE__</strong></p>
		<p>Email Address <strong>__EMAIL__</strong></p>';

			if ($order->order_type == 'delivery') {
				$email_template .= '<p>Flat/House             <strong>__FLAT__</strong></p>
			<p>Building             <strong>__BUILDING__</strong></p>
			<p>Road             <strong>__ROAD__</strong></p>
			<p>Block             <strong>__BLOCK__</strong></p>
			<p>Area             <strong>__AREA__</strong></p>';
			} else if ($order->order_type == 'takeaway') {
				$email_template .= '<p>Branch             <strong>__BRANCH_NAME__</strong></p>
				<p>Phone             <strong>__BRANCH_PHONE__</strong>
				<p>Address             <strong>__BRANCH_ADDRESS__</strong>
			</p>';
			}

			$email_template .= '<p>Special Instructions    <strong>__CUSTOMER_MESSAGE__</strong></p>     
		<p></p>                    
	<p><strong><a href="https://thealligator.app" target="_blank" >Powered by Alligator.</a> Copyright 2020. © All Rights Reserved.
	</strong></p>';

			$from     = $CI->config->item('site_settings')->portal_email;

			$to     = $order->email_address;
			$sub     = ' Order Confirmation ';

			$content         = $email_template;


			$logo_img = '<img src="' . get_site_logo() . '"width="auto" height="60" style="width:auto; max-width:100%; height:60px; text-align:center;" class="img-responsive">';



			$content         = str_replace("__SITE_LOGO__", $logo_img, $content);

			$content         = str_replace("__SITE_TITLE__", $CI->config->item('site_settings')->site_title, $content);

			$content         = str_replace("__USER_NAME__", $order->customer_name, $content);
			$content         = str_replace("__NO_OF_ITEMS__", $order->no_of_items, $content);

			$content         = str_replace("__ORDER_TIME__", $order->order_date . " " . $order->order_time, $content);

			$content         = str_replace("__TOTAL_COST__", $CI->config->item('site_settings')->currency_symbol . " " . returnPrice($order->total_cost), $content);

			if ($order->payment_type == 'cashCard') {
				$content         = str_replace("__PAYMENT_MODE__", 'Card on Delivery (Card Machine)', $content);
			} else if ($order->payment_type == 'benefitPay') {
				$content         = str_replace("__PAYMENT_MODE__", 'Benefit Pay', $content);
			} else {
				$content         = str_replace("__PAYMENT_MODE__", ucwords($order->payment_type), $content);
			}


			$content         = str_replace("__CUSTOMER_MESSAGE__", $order->message, $content);

			$content         = str_replace("__CONTACT_US__", $CI->config->item('site_settings')->phone, $content);


			$content         = str_replace("__SITE_TITLE__", $CI->config->item('site_settings')->site_title, $content);
			$content         = str_replace("__EMAIL__", $order->email_address, $content);

			$content         = str_replace("__PHONE__", $order->phone, $content);
			$content         = str_replace("__BUILDING__", $order->building, $content);
			$content         = str_replace("__FLAT__", $order->house_no, $content);
			$content         = str_replace("__ROAD__", $order->road, $content);
			$content         = str_replace("__BLOCK__", $order->block, $content);
			$content         = str_replace("__AREA__", $area_name, $content);
			$content         = str_replace("__BRANCH_NAME__", $branch_name, $content);
			$content         = str_replace("__BRANCH_PHONE__", $branch_phone, $content);
			$content         = str_replace("__BRANCH_ADDRESS__", $branch_address, $content);

			sendEmail($from, $to, $sub, $content);
		}
	endif;
}
function sendAdminEmail($order_id = null, $charge_id = null)
{
	$CI	= &get_instance();
	$order = null;
	if ($order_id || $charge_id) :
		if ($order_id) {
			$order = $CI->base_model->get_query_result("SELECT * FROM " . TBL_PREFIX . TBL_ORDERS . " WHERE `order_id`='" . $order_id . "'");
		} else {
			$order = $CI->base_model->get_query_result("SELECT * FROM " . TBL_PREFIX . TBL_ORDERS . " WHERE `transaction_id`='" . $charge_id . "'");
		}

		if (!empty($order)) {
			$order = $order[0];
			$order_id = $order->order_id;
			$area_name = '';
			$branch_email = '';
			if ($order->city_id) {
				$area_details = $CI->base_model->get_single_area($order->city_id);
				if (!empty($area_details) && count($area_details) > 0) {
					$area_details = $area_details[0];
					$area_name = $area_details->locality;
					if (isset($area_details->area_email)) {
						$area_email = $area_details->area_email;
					}
				}
			}
			if ($order->branch_id) {
				$branch_details = $CI->base_model->get_single_branch($order->branch_id);
				if (!empty($branch_details) && count($branch_details) > 0) {
					$branch_details = $branch_details[0];
					$branch_name = $branch_details->branches_title;
					$branch_phone = $branch_details->branches_phone;
					$branch_address = $branch_details->branches_address;
					$branch_email = $branch_details->branches_notification_email;
				}
			}

			$order_addons = array();
			$order_items = '';
			$order_add = '';
			$order_products = $CI->base_model->fetch_records_from(TBL_ORDER_PRODUCTS, array('order_id' => $order_id, 'is_deleted' => 0));
			if (!empty($order_products)) {

				$order_addons = $CI->base_model->fetch_records_from(TBL_ORDER_ADDONS, array('order_id' => $order_id));
			}
			foreach ($order_products as $op) {
				$temp_addons = array();
				$temp_options = array();
				$key = $op->common_id;
				$total_addons_cost = 0;
				foreach ($order_addons as $oadd) {
					if ($oadd->common_id == $key) {
						if ($oadd->is_mandatory == 1 || $oadd->is_mandatory == true) {
							array_push($temp_options, $oadd);
						} else {
							array_push($temp_addons, $oadd);
							$total_addons_cost += $oadd->price;
						}
					}
				}

				$op->addons = $temp_addons;
				$op->options = $temp_options;
				$op->total_addons_cost = $total_addons_cost;
			}
			if (isset($order_products) && !empty($order_products)) {
				$order_items = '
                            <table cellpadding="10" width="100%" id="example" class="display responsive nowrap" border="1">
                        <thead>
                        <tr>
                            <th>#</th>
                            <th>Name</th>
							<th>Options</th>
							<th>Addons</th>
                            <th>Price</th>
                            <th>Quantity</th>
                            <th>Total</th>
                        
                        </tr>
                        </thead>
                        <tbody>';

				$i = 0;

				foreach ($order_products as $product) :
					$tota_addons_price = 0;
					$i++;

					$order_items .= '<tr>
                            <td>' . $i . '</td>
							<td>' . $product->item_name . '</td>';
					$order_items .= '<td><ul class="addons-table">';
					foreach ($product->options as $pa) :
						$order_items .= '<li>' . $pa->addon_name  . " " . $CI->config->item('site_settings')->currency_symbol . " +" . returnPrice($pa->final_cost) . '</li>';

					endforeach;

					$order_items .=	'</td><td>
							<ul class="addons-table">';
					foreach ($product->addons as $pa) :

						$order_items .= '<li>' . $pa->addon_name . " x " . $pa->quantity . " " . $CI->config->item('site_settings')->currency_symbol . " +" . returnPrice($pa->final_cost) . '</li>';

					endforeach;


					$order_items .= '
                            <td>' . $CI->config->item('site_settings')->currency_symbol . " " . returnPrice($product->item_cost + $product->total_addons_cost) . '</td>
                            <td>' . $product->item_qty . '</td>
                            <td>' . $CI->config->item('site_settings')->currency_symbol . " " . returnPrice(($product->item_cost + $product->total_addons_cost) * $product->item_qty) . '</td>
                            
                        </tr>';
				endforeach;
				$order_items .= '</tbody></table>';
			}


			$email_template = '';

			$email_template = '<strong>__SITE_LOGO__</strong></p>

                    <h2><strong>Order Confirmation</strong></h2>
                    
                    <p>Hello __SITE_TITLE__, </p>

                    <p>A customer has placed and order. Please find the details below. </p>
                    
                    <p><strong>Customer Details</strong></p>
                    
                    <p>Full Name                           <strong>__USER_NAME__</strong></p>
                    
                    <p>Mobile Number                         <strong>__PHONE__</strong></p>
					<p>Email Address                           <strong>__EMAIL__</strong></p>';
			if ($order->order_type == 'delivery') {
				$email_template .= '<p>Flat/House             <strong>__FLAT__</strong></p>
					<p>Building             <strong>__BUILDING__</strong></p>
					<p>Road             <strong>__ROAD__</strong></p>
					<p>Block             <strong>__BLOCK__</strong></p>
					<p>Area             <strong>__AREA__</strong></p>';
			} else if ($order->order_type == 'takeaway') {
				$email_template .= '<p>Branch             <strong>__BRANCH_NAME__</strong></p>
						<p>Phone             <strong>__BRANCH_PHONE__</strong>
						<p>Address             <strong>__BRANCH_ADDRESS__</strong>
					</p>';
			}
			$email_template .= '
                    <p>Special Instructions    <strong>__CUSTOMER_MESSAGE__</strong></p> 
                   
                    <p> </p>
                     
                    <p><strong>Order Details</strong></p>' . $order_items . '
                    
                    
                   
					<p>Order Time     <strong>__ORDER_TIME__</strong></p>';
			if ($order->order_type == 'delivery') {
				$email_template .= '
					<p>Delivery Fee:  <strong>' . $order->delivery_fee . ' BD</strong></p>';
			}
			$email_template .= '
                    <p>Total                    <strong>__TOTAL_COST__</strong></p>
                    
                    <p>Payment Method           <strong>__PAYMENT_MODE__</strong></p> 
                    
                    <p> </p>
                    
                    <p><strong>
                    <a href="https://thealligator.app" target="_blank" >Powered by Alligator.</a> Copyright 2020. &copy; All Rights Reserved.</strong></p>
                    ';


			$from     = $order->email_address;
			if (isset($area_email) && $area_email != '') {
				$to     = $CI->config->item('site_settings')->portal_email . "," . $area_email;
			} else if (isset($branch_email) && $branch_email != '') {
				$to     = $CI->config->item('site_settings')->portal_email . "," . $branch_email;
			} else {
				$to     = $CI->config->item('site_settings')->portal_email;
			}

			$sub     = 'Order Confirmation';

			$content         = $email_template;


			$logo_img = '<img src="' . get_site_logo() . '" width="auto" height="60" style="width:auto; max-width:100%; height:60px; text-align:center;" class="img-responsive">';


			$content         = str_replace("__SITE_LOGO__", $logo_img, $content);

			$content         = str_replace("__SITE_TITLE__", $CI->config->item('site_settings')->site_title, $content);

			$content         = str_replace("__USER_NAME__", $order->customer_name, $content);

			$content         = str_replace("__EMAIL__", $order->email_address, $content);

			$content         = str_replace("__PHONE__", $order->phone, $content);
			$content         = str_replace("__BUILDING__", $order->building, $content);
			$content         = str_replace("__FLAT__", $order->house_no, $content);
			$content         = str_replace("__ROAD__", $order->road, $content);
			$content         = str_replace("__BLOCK__", $order->block, $content);
			$content         = str_replace("__AREA__", $area_name, $content);
			$content         = str_replace("__BRANCH_NAME__", $branch_name, $content);
			$content         = str_replace("__BRANCH_PHONE__", $branch_phone, $content);
			$content         = str_replace("__BRANCH_ADDRESS__", $branch_address, $content);

			$content         = str_replace("__NO_OF_ITEMS__", $order->no_of_items, $content);

			$content         = str_replace("__ORDER_TIME__", $order->order_date . " " . $order->order_time, $content);



			$content         = str_replace("__TOTAL_COST__", $CI->config->item('site_settings')->currency_symbol . " " . returnPrice($order->total_cost), $content);


			if ($order->payment_type == 'cashCard') {
				$content         = str_replace("__PAYMENT_MODE__", 'Card on Delivery (Card Machine)', $content);
			} else if ($order->payment_type == 'benefitPay') {
				$content         = str_replace("__PAYMENT_MODE__", 'Benefit Pay', $content);
			} else {
				$content         = str_replace("__PAYMENT_MODE__", ucwords($order->payment_type), $content);
			}

			$content         = str_replace("__CUSTOMER_MESSAGE__", $order->message, $content);

			$content         = str_replace("__CONTACT_US__", $CI->config->item('site_settings')->address, $content);



			$content         = str_replace("__SITE_TITLE__", $CI->config->item('site_settings')->site_title, $content);


			sendEmail($from, $to, $sub, $content);
		}
	endif;
}
if (!function_exists('openclosed')) {
	/**
	 * [activeinactive description]
	 * @return [type] [description]
	 */
	function openclosed()
	{
		return array('Open' => get_languageword('Open'), 'Closed' => get_languageword('closed'));
	}
}


if (!function_exists('get_order_products_addons')) {

	function get_order_products_addons($item_id, $order_id)
	{
		$order_addons = array("name" => '', "price" => 0);
		$CI	= &get_instance();

		$where = array('item_id' => $item_id, 'order_id' => $order_id);

		$order_addons_item = $CI->base_model->fetch_records_from(TBL_ORDER_ADDONS, $where);


		if (!empty($order_addons_item)) {
			$addons_item = array();
			foreach ($order_addons_item as $addons) {
				if (!empty($addons->addon_name)) {
					$addons_item['name'][]	= $addons->addon_name;
				}
				if (!empty($addons->price)) {
					$addons_item['price'] = (float)$addons_item['price'] + (float)$addons->price;
				}
			}
			if (isset($addons_item['name'])) {
				$order_addons['name'] = implode(', ', $addons_item['name']);
			}
			if (isset($addons_item['price'])) {
				$order_addons['price'] = (float)$addons_item['price'];
			}
		}
		return $order_addons;
	}
}


/********************* END Function Create By Israr  ************************/
