<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Migration_Payment extends CI_Migration
{

    public function up()
    {
        $this->dbforge->add_field(array(
            'business_id' => array(
                'type' => 'INT',
                'constraint' => 11,
                'unsigned' => TRUE,
                'auto_increment' => TRUE
            ),
            'tap_id' => array(
                'type' => 'VARCHAR',
                'constraint' => '50',
                'default' => ''
            ),
            'country_code' => array(
                'type' => 'VARCHAR',
                'constraint' => 10,
                'default' => ''
            ),
            'brand_id' => array(
                'type' => 'VARCHAR',
                'constraint' => '100',
                'default' => ''
            ),
            'branch_id' => array(
                'type' => 'VARCHAR',
                'constraint' => '100',
                'default' => ''
            ),
            'created_at' => array(
                'type' => 'VARCHAR',
                'constraint' => 50,
                'default' => ''
            ),
            'entity_id' => array(
                'type' => 'VARCHAR',
                'constraint' => 100,
                'default' => ''
            ),
            'wallet_id' => array(
                'type' => 'VARCHAR',
                'constraint' => 100,
                'default' => ''
            ),
            'merchant_id' => array(
                'type' => 'VARCHAR',
                'constraint' => 100,
                'null' => TRUE
            ),
            'operator_api_key_test' => array(
                'type' => 'VARCHAR',
                'constraint' => 100,
                'null' => TRUE
            ),
            'operator_api_key_live' => array(
                'type' => 'VARCHAR',
                'constraint' => 100,
                'null' => TRUE
            ),
            
            'operator_id' => array(
                'type' => 'VARCHAR',
                'constraint' => '100',
                'null' => TRUE
            )
            
        ));
        if (!$this->db->table_exists($this->db->dbprefix('tap_business'))) {
            $this->dbforge->add_key('business_id', TRUE);
            $this->dbforge->create_table('tap_business');
        }


        //////////////////////////////////////////////////////////////////////////////////////////////
        $this->dbforge->add_field(array(
            'refunds_id' => array(
                'type' => 'INT',
                'constraint' => 11,
                'unsigned' => TRUE,
                'auto_increment' => TRUE
            ),
            'refund_order_id' => array(
                'type' => 'INT',
                'constraint' => 11

            ),
            'refund_amount' => array(
                'type' => 'double'

            ),
            'refund_created_at datetime default current_timestamp',
            'refund_users_id' => array(
                'type' => 'INT',
                'constraint' => 11,
            ),
            'refund_tap_id' => array(
                'type' => 'VARCHAR',
                'constraint' => 100,
                'default' => ''
            ),

        ));
        if (!$this->db->table_exists($this->db->dbprefix('refunds'))) {

            $this->dbforge->add_key('refunds_id', TRUE);
            $this->dbforge->create_table('refunds');
            /////////////////////////////////////////////////////////////////////////////////////////////
        }
    }

    public function down()
    {
        $this->dbforge->drop_table('tap_business');
        $this->dbforge->drop_table('refunds');
    }
}
