<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Migration_Branches extends CI_Migration
{

    public function up()
    {
        $this->dbforge->add_field(array(
            'branches_id' => array(
                'type' => 'INT',
                'constraint' => 11,
                'unsigned' => TRUE,
                'auto_increment' => TRUE
            ),
            'branches_title' => array(
                'type' => 'VARCHAR',
                'constraint' => '100',
                'default' => ''
            ),
            'branches_address' => array(
                'type' => 'VARCHAR',
                'constraint' => '500',
                'default' => '',
            ),
            'branches_phone' => array(
                'type' => 'VARCHAR',
                'constraint' => '30',
                'default' => null,
                'null' => TRUE
            ),
            'branches_map' => array(
                'type' => 'VARCHAR',
                'constraint' => '500',
                'default' => null,
                'null' => TRUE
            ),
            'branches_status' => array(
                'type' => 'ENUM("Active","Inactive")',
                'default' => 'Active',
                'null' => false
            )


        ));
        if (!$this->db->table_exists($this->db->dbprefix('branches'))) {
            $this->dbforge->add_key('branches_id', TRUE);
            $this->dbforge->create_table('branches');
        }
        $fields = array(
            'branch_id' => array(
                'type' => 'INT',
                'constraint' => 11,
                'unsigned' => TRUE,
                'after' => 'area_email'
            )
        );
        $this->dbforge->add_column('service_provide_locations', $fields);
    }

    public function down()
    {
        $this->dbforge->drop_table('branches');
        $this->dbforge->drop_column('service_provide_locations', 'branch_id');
    }
}
