<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Migration_Orders extends CI_Migration
{

    public function up()
    {
        $fields = array(
            'branch_id' => array(
                'type' => 'INT',
                'constraint' => 11,
                'null' => true,
                'unsigned' => true,
                'after' => 'order_time'
            ),
            
            'order_type' => array(
                'type' => 'ENUM("delivery","takeaway")',
                'default' => 'delivery',
                'null' => false
            )

        );
        $this->dbforge->add_column('orders', $fields);

        $fields = array(
            'house_no' => array(
                'name' => 'house_no',
                'type' => 'varchar',
                'constraint' => 50,
                'null' => true,

            ),
            'road' => array(
                'name' => 'road',
                'type' => 'varchar',
                'constraint' => 200,
                'null' => true,
                

            ),
            'block' => array(
                'name' => 'block',
                'type' => 'varchar',
                'constraint' => 100,
                'null' => true,
               

            ),
            'city_id' => array(
               'name' => 'city_id',
               'type' => 'int',
                'null' => true,
                'constraint' => 11,


            )
            
        );
        $this->dbforge->modify_column('orders', $fields);
        
       
    }

    public function down()
    {
        $this->dbforge->drop_column('orders', 'branch_id');
        $this->dbforge->drop_column('orders', 'order_type');
        $fields = array(
            'house_no' => array(
                'name' => 'house_no',
                'type' => 'varchar',
                'constraint' => 50,
                'null' => false,

            ),
            'road' => array(
                'name' => 'road',
                'type' => 'varchar',
                'constraint' => 200,
                'null' => false,
                

            ),
            'block' => array(
                'name' => 'block',
                'type' => 'varchar',
                'constraint' => 100,
                'null' => false,
               

            ),
            'city_id' => array(
               'name' => 'city_id',
               'type' => 'int',
                'null' => false,
                'constraint' => 11,


            )
            
        );
       
            $this->dbforge->modify_column('orders', $fields);
        
        
    }
}
