<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Migration_OptionSets extends CI_Migration
{

    public function up()
    {
        $this->dbforge->add_field(array(
            'option_sets_id' => array(
                'type' => 'INT',
                'constraint' => 11,
                'unsigned' => TRUE,
                'auto_increment' => TRUE
            ),
            'option_sets_name' => array(
                'type' => 'VARCHAR',
                'constraint' => '50',
                'default' => ''
            ),
            'option_sets_label' => array(
                'type' => 'VARCHAR',
                'constraint' => 200,
                'default' => ''
            ),
            'option_sets_mandatory' => array(
                'type' => 'boolean',
                'default' => true
            ),
            'option_sets_min' => array(
                'type' => 'INT',
                'constraint' => 11,
                'default' => 0,
                'null' => true,
            ),
            'option_sets_max' => array(
                'type' => 'INT',
                'constraint' => 11,
                'default' => 0,
               
                'null' => true,
            ),
            'option_sets_created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP',
            'option_sets_updated_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP',
            'option_sets_status' => array(
                'type' => 'ENUM("Active","Inactive")',
                'null' => false,
                'default' => 'Active'
            )

        ));
        if (!$this->db->table_exists($this->db->dbprefix('option_sets'))) {
            $this->dbforge->add_key('option_sets_id', TRUE);
            $this->dbforge->create_table('option_sets');
        }

       
    
    }

    public function down()
    { 
        
        $this->dbforge->drop_table('option_sets');
       

    }
}
