<?php
/**
 * 
 * 
 *
 * @category  Addons
 * @package   http://opensource.org/licenses/MIT    MIT License
 * @link      http://codeigniter.com
 * @since     Version 1.0.0
 */
defined('BASEPATH') OR exit('No direct script access allowed');

/**
 * 
 * CodeIgniter Addons Class
 * 
 * Permits View/Create/Edit/Delete Addons.
 * 
 * 
 *
 * @category  Addons
 * @package   http://opensource.org/licenses/MIT    MIT License
 * @link      http://codeigniter.com
 */
class Addons extends MY_Controller
{

    /**
    | -----------------------------------------------------
    | 
    | -----------------------------------------------------
    | This is Addons module controller file.
    | -----------------------------------------------------
     **/
    function __construct()    
    {
        parent::__construct();
        check_access('admin');
    }

    /**
     * 
     * Displays the Index Page 
     *
     * @return array
     **/
    function index()    
    {
        if ($this->input->post()) {
            /***
            * 
            * 
             * Delete Operation - Start 
            ***/
            $param1 = $this->input->post('param1');
            $param2 = $this->input->post('param2');
            
            if (in_array($param1, array('delete', 'delete_selected', 'activate_selected', 'deactivate_selected')) && !empty($param2)) {
                
                $msg='';
                $status=0;
                if ($param1 == "delete") {
                    $record = $this->base_model->fetch_records_from(TBL_ADDONS, array('addon_id'=>$param2));
                    
                    if ($this->base_model->delete_record_new(TBL_ADDONS, array('addon_id' => $param2))) {
                        if (!empty($record)) {
                            $record=$record[0];
                            
                        
                        }
                        $msg .= get_languageword('record_deleted_successfully');
                        $status = 0;
                    
                    } else {
                        $msg .= get_languageword('record_not_deleted');
                        $status =1;
                    
                    }
                
                } else if ($param1 == "delete_selected") {
                    $rows_to_be_deleted = explode(',', $param2);
                    foreach($rows_to_be_deleted as $row):
                        $record = $this->base_model->fetch_records_from(TBL_ADDONS, array('addon_id'=>$row));
                        if (!empty($record)) {
                            $record=$record[0];
                            
                        
                        }
                    
                    endforeach;
                    
                    if ($this->base_model->delete_record(TBL_ADDONS, 'addon_id', $rows_to_be_deleted)) {
                        $msg .= get_languageword('selected_records_deleted_successfully');
                        $status = 0;
                    
                    } else {
                        $msg .= get_languageword('record_not_deleted');
                        $status = 1;
                    
                    }
                
                } else if ($param1 == "activate_selected") {
                    $rows_to_be_activated = explode(',', $param2);
                    if ($this->base_model->changestatus_multiple_recs(TBL_ADDONS, array('status' => 'Active'), 'addon_id', $rows_to_be_activated)) {
                        $msg .= get_languageword('selected_records_activated_successfully');
                        $status = 0;
                    
                    } else {
                        $msg .= get_languageword('record_not_activated');
                    
                    }

                
                } else if ($param1 == "deactivate_selected") {
                    $rows_to_be_deactivated = explode(',', $param2);
                    if ($this->base_model->changestatus_multiple_recs(TBL_ADDONS, array('status' => 'Inactive'), 'addon_id', $rows_to_be_deactivated)) {
                        $msg .= get_languageword('selected_records_deactivated_successfully');
                        $status = 0;
                    
                    } else {
                        $msg .= get_languageword('record_not_deactivated');
                        $status = 1;
                    
                    }
                
                }
                $this->prepare_flashmessage($msg, $status);
                redirect(URL_ADDONS_INDEX);
            
            }
        
        }
        
        
        $this->data['ajaxrequest'] = array(
        'url' => URL_ADDONS_AJAX_GET_LIST,
        'disablesorting' => '0,4',
        );
        
        $this->data['css_js_files'] = array('data_tables');
        $this->data['activemenu']     = "addons";
        $this->data['message']         = $this->session->flashdata('message');
        $this->data['pagetitle']     = get_languageword('view_addons');
        $this->data['content']         = PAGE_ADDONS;
        $this->_render_page(TEMPLATE_ADMIN, $this->data);
    
    }
    
    /**
     * 
     * Display Addons
     *
     * @return array
     **/
    function ajax_get_list()    
    {
        if ($this->input->is_ajax_request()) {
            $data = array();
            $no = $_POST['start'];

            $conditions = array();

            $columns = array('tds.addon_name', 'tds.price','tds.status');    
            
            $query     = "SELECT tds.* from ".TBL_PREFIX.TBL_ADDONS." tds WHERE addon_id != ''";
            
                     $records = $this->base_model->get_datatables($query, 'customnew', $conditions, $columns, array('addon_name'=>'asc'));
            
            if (!empty($records)) {

                foreach ($records as $record) {
                    $no++;
                    $row = array();

                    
                    $row[] = '<input type="checkbox" name="check_rows[]" class="check_rows" value="'.$record->addon_id.'"> ';

                    $row[] = '<span>'.$record->addon_name.'</span>';
                    $row[] = '<span>'.returnPrice($record->price).'</span>';
                    
                    
                    
                    $checked = '';
                    $class = 'badge danger';
                    if ($record->status == 'Active') {
                        $checked = ' checked';
                        $class = 'badge success';    
                    }
                    $row[] = '<span class="'.$class.'">'.$record->status.'</span>';
                    
                    
                    $dta ='';
                    $dta .= '<span>';
                    $dta .= form_open(URL_ADDEDIT_ADDON);
                    $dta .= '<input type="hidden" name="addon_id" value="'.$record->addon_id.'">';
                    $dta .= '<button type="submit" name="edit_addon" class="'.CLASS_EDIT_BTN.'"><i class="'.CLASS_ICON_EDIT.'" ></i></button>';
                    $dta .= form_close();
                    $dta .= '</span>';
                    
                    $str = $dta;
                    
                    
                    $str .= '<a data-toggle="modal" data-target="#commonModal" title="'.get_languageword('delete').'" class="'.CLASS_DELETE_BTN.'" onclick="set_fields(\'delete\', \''.$record->addon_id.'\');"><i class="'.CLASS_ICON_DELETE.'" ></i> </a>';
                    
                    $row[] = $str;
                    
                    $data[] = $row;
                
                }
            
            }

            $output = array(
            "draw" => $_POST['draw'],
            "recordsTotal" => $this->base_model->numrows,
            "recordsFiltered" => $this->base_model->numrows,
            "data" => $data,
            );

            echo json_encode($output);
        
        }
    
    }
    
    /**
     * 
     * 
     * Add / Update an Addon 
     * 
     *
     * @return boolean
     **/
    function addedit()    
    {
        if (isset($_POST['addedit_addon'])) {
           
                
            $msg='';
            $status=0;
            
            $this->form_validation->set_rules('addon_name', get_languageword('addon_name'), 'required|xss_clean');
            $this->form_validation->set_rules('price', get_languageword('price'), 'required|xss_clean');
            
            $this->form_validation->set_error_delimiters('<div class="error">', '</div>');
            
            $addon_id = $this->input->post('addon_id');
            
            if ($this->form_validation->run() == TRUE) {
                $data = array();
                $data['addon_name'] = $this->input->post('addon_name');
                $data['price']         = $this->input->post('price');
                $data['status']        = $this->input->post('status');
                
                if ($this->input->post('addon_id') > 0) {
                    $where['addon_id'] = $this->input->post('addon_id');
                    if ($this->base_model->update_operation($data, TBL_ADDONS, $where)) {
                        $msg .= get_languageword('details_saved_successfully');
                        $status = 0;
                    
                    } else {
                        $msg .= get_languageword('details_not_saved');
                        $status = 1;
                    
                    }
                
                } else {
                    $addon_id = $this->base_model->insert_operation_id($data, TBL_ADDONS);
                    if ($addon_id) {
                        $msg .= get_languageword('details_saved_successfully');
                        $status = 0;
                    
                    } else {
                        $msg .= get_languageword('details_not_saved');
                        $status = 1;
                    
                    }
                
                }
                unset($data, $where);
                
                
                }
                    
                if ($msg != '') {
                    $this->prepare_flashmessage($msg, $status);
                }
                redirect(URL_ADDONS_INDEX, REFRESH);
            
            }
        
        if (isset($_POST['edit_addon'])) {
            $addon_id = $this->input->post('addon_id');
            if ($addon_id > 0) {
                $pagetitle = get_languageword('edit_addon');
                $record = $this->base_model->fetch_records_from(TBL_ADDONS, array('addon_id' => $addon_id));
                if (empty($record)) {
                    $this->prepare_flashmessage(get_languageword('no_details_found'), 2);
                    redirect(URL_ADDONS_INDEX);                
                }
                $this->data['record'] =    $record[0];
            
            } else {
                redirect(URL_ADDONS_INDEX);
            }
        
        }
        
        $status_options = $this->base_model->status_options();
        $this->data['status_options'] = $status_options[0];
        
        $this->data['css_js_files']  = array('form_validation');
        $this->data['pagetitle']     = $pagetitle;
        $this->data['activemenu']      = "addons";
        $this->data['content']          = PAGE_ADDEDIT_ADDON;
        $this->_render_page(TEMPLATE_ADMIN, $this->data);    
    }

}