<?php

defined('BASEPATH') or exit('No direct script access allowed');

class Branches extends MY_Controller
{

    /**
    | -----------------------------------------------------
    | 
    | -----------------------------------------------------
    | This is Branches module controller file.
    | -----------------------------------------------------
     **/
    function __construct()
    {
        parent::__construct();
        check_access('admin');
    }

    /**
     * 
     * Displays the Index Page 
     *
     * @return array
     **/
    function index()
    {
        if ($this->input->post()) {
            /***
             * 
             * 
             * Delete Operation - Start 
             ***/
            $param1 = $this->input->post('param1');
            $param2 = $this->input->post('param2');

            if (in_array($param1, array('delete', 'delete_selected', 'activate_selected', 'deactivate_selected')) && !empty($param2)) {
                
                $msg = '';
                $status = 0;
                if ($param1 == "delete") {
                    $record = $this->base_model->fetch_records_from(TBL_BRANCHES, array('branches_id' => $param2));

                    if ($this->base_model->delete_record_new(TBL_BRANCHES, array('branches_id' => $param2))) {
                        if (!empty($record)) {
                            $record = $record[0];
                        }
                        $msg .= get_languageword('record_deleted_successfully');
                        $status = 0;
                    } else {
                        $msg .= get_languageword('record_not_deleted');
                        $status = 1;
                    }
                } else if ($param1 == "delete_selected") {
                    $rows_to_be_deleted = explode(',', $param2);
                    foreach ($rows_to_be_deleted as $row) :
                        $record = $this->base_model->fetch_records_from(TBL_BRANCHES, array('branches_id' => $row));
                        if (!empty($record)) {
                            $record = $record[0];
                        }

                    endforeach;

                    if ($this->base_model->delete_record(TBL_BRANCHES, 'branches_id', $rows_to_be_deleted)) {
                        $msg .= get_languageword('selected_records_deleted_successfully');
                        $status = 0;
                    } else {
                        $msg .= get_languageword('record_not_deleted');
                        $status = 1;
                    }
                } else if ($param1 == "activate_selected") {
                    $rows_to_be_activated = explode(',', $param2);
                    if ($this->base_model->changestatus_multiple_recs(TBL_BRANCHES, array('status' => 'Active'), 'branches_id', $rows_to_be_activated)) {
                        $msg .= get_languageword('selected_records_activated_successfully');
                        $status = 0;
                    } else {
                        $msg .= get_languageword('record_not_activated');
                    }
                } else if ($param1 == "deactivate_selected") {
                    $rows_to_be_deactivated = explode(',', $param2);
                    if ($this->base_model->changestatus_multiple_recs(TBL_BRANCHES, array('status' => 'Inactive'), 'branches_id', $rows_to_be_deactivated)) {
                        $msg .= get_languageword('selected_records_deactivated_successfully');
                        $status = 0;
                    } else {
                        $msg .= get_languageword('record_not_deactivated');
                        $status = 1;
                    }
                }
                $this->prepare_flashmessage($msg, $status);
                redirect(URL_BRANCHES_INDEX);
            }
        }


        $this->data['ajaxrequest'] = array(
            'url' => URL_BRANCHES_AJAX_GET_LIST,
            'disablesorting' => '0,4',
        );

        $this->data['css_js_files'] = array('data_tables');
        $this->data['activemenu']     = ACTIVE_MASTER_SETTINGS;
        $this->data['actv_submenu']      = "branches";
        $this->data['message']         = $this->session->flashdata('message');
        $this->data['pagetitle']     = "Branches";
        $this->data['content']         = PAGE_BRANCHES;
        $this->_render_page(TEMPLATE_ADMIN, $this->data);
    }

    /**
     * 
     * Display Branches
     *
     * @return array
     **/
    function ajax_get_list()
    {
        if ($this->input->is_ajax_request()) {
            $data = array();
            $no = $_POST['start'];

            $conditions = array();

            $columns = array('tds.branches_title', 'tds.branches_address', 'tds.branches_phone', 'tds.branches_map', 'tds.branches_status');

            $query     = "SELECT tds.* from " . TBL_PREFIX . TBL_BRANCHES . " tds WHERE branches_id != ''";

            $records = $this->base_model->get_datatables($query, 'customnew', $conditions, $columns, array('branches_title' => 'asc'));

            if (!empty($records)) {

                foreach ($records as $record) {
                    $no++;
                    $row = array();


                    $row[] = '<input type="checkbox" name="check_rows[]" class="check_rows" value="' . $record->branches_id . '"> ';

                    $row[] = '<span>' . $record->branches_title . '</span>';
                    $row[] = '<span>' . $record->branches_address . '</span>';
                    $row[] = '<span>' . $record->branches_phone . '</span>';
                    if (strlen($record->branches_map) > 0) :
                        $row[] = '<span><a href="'. $record->branches_map . '" title="Branch Location" target="_blank">Visit</a></span>';
                    else :
                        $row[] = '<span></span>';

                    endif;


                    $checked = '';
                    $class = 'badge danger';
                    if ($record->branches_status == 'Active') {
                        $checked = ' checked';
                        $class = 'badge success';
                    }
                    $row[] = '<span class="' . $class . '">' . $record->branches_status . '</span>';


                    $dta = '';
                    $dta .= '<span>';
                    $dta .= form_open(URL_ADDEDIT_BRANCH);
                    $dta .= '<input type="hidden" name="branches_id" value="' . $record->branches_id . '">';
                    $dta .= '<button type="submit" name="edit_branch" class="' . CLASS_EDIT_BTN . '"><i class="' . CLASS_ICON_EDIT . '" ></i></button>';
                    $dta .= form_close();
                    $dta .= '</span>';

                    $str = $dta;


                    $str .= '<a data-toggle="modal" data-target="#commonModal" title="' . get_languageword('delete') . '" class="' . CLASS_DELETE_BTN . '" onclick="set_fields(\'delete\', \'' . $record->branches_id . '\');"><i class="' . CLASS_ICON_DELETE . '" ></i> </a>';

                    $row[] = $str;

                    $data[] = $row;
                }
            }

            $output = array(
                "draw" => $_POST['draw'],
                "recordsTotal" => $this->base_model->numrows,
                "recordsFiltered" => $this->base_model->numrows,
                "data" => $data,
            );

            echo json_encode($output);
        }
    }

    /**
     * 
     * 
     * Add / Update Branch 
     * 
     *
     * @return boolean
     **/
    function addedit()
    {
        $pagetitle = "Add Branch";
        if (isset($_POST['addedit_branch'])) {


            $msg = '';
            $status = 0;
            $pagetitle = "Add Branch";
            $this->form_validation->set_rules('branches_title', 'Branch title', 'required|xss_clean');
            $this->form_validation->set_rules('branches_address', 'Branch address', 'required|xss_clean');
            $this->form_validation->set_rules('status', 'Status', 'required|xss_clean');
            $this->form_validation->set_rules('branches_map', 'Map', 'valid_url|xss_clean');

            $this->form_validation->set_error_delimiters('<div class="error">', '</div>');

            $branches_id = $this->input->post('branches_id');

            if ($this->form_validation->run() == TRUE) {
                $data = array();
                $data['branches_title'] = $this->input->post('branches_title');
                $data['branches_address'] = $this->input->post('branches_address');
                $data['branches_map'] = $this->input->post('branches_map');
                $data['branches_phone'] = $this->input->post('branches_phone');
                $data['branches_status']        = $this->input->post('status');
                $data['branches_notification_email']        = $this->input->post('branches_notification_email');

                if ($this->input->post('branches_id') > 0) {
                    $where['branches_id'] = $this->input->post('branches_id');
                    if ($this->base_model->update_operation($data, TBL_BRANCHES, $where)) {
                        $msg .= get_languageword('details_saved_successfully');
                        $status = 0;
                    } else {
                        $msg .= get_languageword('details_not_saved');
                        $status = 1;
                    }
                } else {
                    $branches_id = $this->base_model->insert_operation_id($data, TBL_BRANCHES);
                    if ($branches_id) {
                        $msg .= get_languageword('details_saved_successfully');
                        $status = 0;
                    } else {
                        $msg .= get_languageword('details_not_saved');
                        $status = 1;
                    }
                }
                unset($data, $where);
            }

            if ($msg != '') {
                $this->prepare_flashmessage($msg, $status);
            }
            redirect(URL_BRANCHES_INDEX, REFRESH);
        }

        if (isset($_POST['edit_branch'])) {
            $branches_id = $this->input->post('branches_id');
            if ($branches_id > 0) {
                $pagetitle = "Edit Branch";
                $record = $this->base_model->fetch_records_from(TBL_BRANCHES, array('branches_id' => $branches_id));
                if (empty($record)) {
                    $this->prepare_flashmessage(get_languageword('no_details_found'), 2);
                    redirect(URL_BRANCHES_INDEX);
                }
                $this->data['record'] =    $record[0];
            } else {
                redirect(URL_BRANCHES_INDEX);
            }
        }

        $status_options = $this->base_model->status_options();
        $this->data['status_options'] = $status_options[0];

        $this->data['css_js_files']  = array('form_validation');
        $this->data['pagetitle']     = $pagetitle;
        $this->data['activemenu']      = ACTIVE_MASTER_SETTINGS;
        $this->data['actv_submenu']      = "branches";
        $this->data['content']          = PAGE_ADDEDIT_BRANCH;
        $this->_render_page(TEMPLATE_ADMIN, $this->data);
    }
}
