  <div id="page-wrapper">

  	<div class="row">
  		<div class="col-md-12">
  			<?php echo $this->session->flashdata('message'); ?>
  			<!-- Form Elements -->
  			<div class="panel panel-default">

  				<div class="panel-heading">
  					<?php if (isset($pagetitle)) echo $pagetitle; ?>

  					<a title="<?php echo get_languageword('go_to_list'); ?>" class="btn btn-primary btn-xs pull-right" href="<?php echo URL_ITEMS_INDEX; ?>"><i class="fa fa-list"></i>
  					</a>
  				</div>
  				<div class="panel-body">

  					<div class="row">


  						<!-- Nav tabs -->
  						<ul class="nav nav-tabs" role="tablist">
  							<li role="presentation" class="active"><a href="#home" aria-controls="home" role="tab" data-toggle="tab"><?php echo get_languageword('item_details'); ?></a></li>

  							<li role="presentation"><a href="#options" aria-controls="options" role="tab" data-toggle="tab"><?php echo get_languageword('options'); ?></a></li>
  						</ul>
  						<!-- Nav tabs -->


  						<!-- Tab panes -->
  						<div class="tab-content">

  							<div role="tabpanel" class="tab-pane <?php echo (!$options_tab_active)?' active': ''; ?>" id="home">
  								<?php
									$attributes = array('name' => 'item_from', 'id' => 'item_from');
									echo form_open_multipart(URL_EDIT_ITEM, $attributes); ?>

  								<div class="col-md-6">

  									<div class="form-group">
  										<label>Category<?php echo required_symbol(); ?></label>
  										<?php
											$val = '';
											if (isset($record) && !empty($record)) {
												$val = $record->menu_id;
											} else if (isset($_POST)) {
												$val = set_value('menu_id');
											}


											echo form_dropdown('menu_id', $menu_options, $val, 'class="chzn-select form-control"') . form_error('menu_id');
											?>
  									</div>

  									<div class="form-group">
  										<label><?php echo get_languageword('item_name') . required_symbol(); ?>
  											<br /><small>Max 350 Characters</small></label>
  										<?php
											$val = '';
											if (isset($record) && !empty($record)) {
												$val = $record->item_name;
											} else if (isset($_POST)) {
												$val = set_value('item_name');
											}

											$element = array(
												'name' => 'item_name',
												'value' => $val,
												'maxlength' => '350',
												'class' => 'form-control'
											);
											echo form_input($element) . form_error('item_name');
											?>
  									</div>

  									<div class="form-group">
  										<label>Item Base Price (incl. VAT)<?php echo required_symbol(); ?></label>
  										<?php
											$val = '';
											if (isset($record) && !empty($record)) {
												$val = returnPrice($record->item_cost);
											} else if (isset($_POST)) {
												$val = set_value('item_cost');
											}

											$element = array(
												'name' => 'item_cost',
												'value' => $val,
												'class' => 'form-control'
											);
											echo form_input($element) . form_error('item_cost');
											?>
  									</div>

  						
  								</div>

  								<div class="col-md-6">

  									<div class="form-group">
  										<label><?php echo get_languageword('description'); ?>
  											<br> <small>Maximum of 250 characters only.</small></label>
  										<?php
											$val = '';
											if (isset($record) && !empty($record)) {
												$val = $record->item_description;
											} else if (isset($_POST)) {
												$val = set_value('item_description');
											}

											$element = array(
												'name' => 'item_description',
												'value' => $val,
												'maxlength' => '250',
												'class' => 'form-control'
											);
											echo form_textarea($element) . form_error('item_description');
											?>
  									</div>

  									<div class="form-group">
  										<label>Sort order<?php echo  required_symbol(); ?></label>
  										<?php
											$val = '';
											if (isset($record) && !empty($record)) {
												$val = $record->sort_order;
											} else if (isset($_POST)) {
												$val = set_value('sort_order');
											}

											$element = array(
												'name' => 'sort_order',
												'value' => $val,
												'class' => 'form-control'
											);
											echo form_input($element) . form_error('sort_order');
											?>
  									</div>
  									<!----->

  									<div class="form-group">
  										<label><?php echo get_languageword('item_image'); ?> <small>(JPG or PNG only)</small>

  											<br> <small>Recommended size 525px (w) x 460px (h) </small> </label>
  										<input type="file" name="item_image" title="Item Image" onchange="photo(this,'item_image')">

  										<?php
											$src = "";
											$style = "display:none;";
											if (isset($record->item_image_name) && $record->item_image_name != "" && file_exists(ITEM_IMG_UPLOAD_PATH_URL . $record->item_image_name)) {
												$src = ITEM_IMG_PATH . $record->item_image_name;
												$style = "";
											}
											?>
  										<img id="item_image" src="<?php echo $src; ?>" style="<?php echo $style; ?>">
  									</div>

  									<div class="form-group">
  										<label><?php echo get_languageword('status') . required_symbol(); ?></label>
  										<?php
											$val = '';
											if (isset($record) && !empty($record)) {
												$val = $record->status;
											} else if (isset($_POST)) {
												$val = set_value('status');
											}


											echo form_dropdown('status', activeinactive(), $val, 'class="chzn-select form-control"') . form_error('status');
											?>
  									</div>

  									<div class="form-group pull-right">
  										<?php
											$value = '';
											if (isset($record)) {
												$value = $record->item_id;
											}
											echo form_hidden('item_id', $value); ?>

  										<button type="submit" name="edit_item_save" value="edit_item_save" class="btn btn-primary"><?php echo get_languageword('save'); ?></button>

  										<a class="btn btn-warning" href="<?php echo URL_ITEMS_INDEX; ?>"><?php echo get_languageword('cancel'); ?></a>
  									</div>


  								</div>
  								<?php echo form_close(); ?>
  							</div>


  							<div role="tabpanel" class="tab-pane <?php echo ($options_tab_active)?' active': ''; ?>" id="options">

  								<div class="col-md-12">

  									<div class="col-md-4">
  										<div class="form-group">
  											<?php if (isset($options) && count($options) > 0) {  ?>
  												<label>Option Sets<span style="color:red;">*</span></label>
  												<select name="option_name" class="chzn-select form-control" id="option_name">
  													<option value="">Please Select</option>
  													<?php foreach ($options as $opt) : ?>
  														<option value="<?php echo $opt->option_sets_id; ?>"><?php echo $opt->option_sets_name; ?></option>
  													<?php endforeach; ?>
  												</select>
  											<?php echo form_error('option_name');
												} else { ?>
  												<p>No Active Option Sets Found. Please create and activate some Option Sets before adding new options.</p>
  											<?php
												}
												?>
  										</div>
  									</div>

  									<div class="col-md-4">
  										<div class="pull-right" style="padding:10px;">
  											<label>Add</label>
  											<input type="button" name="reset" class="btn btn-primary" onclick="AddOptionRow();" value="+">
  										</div>
  									</div>

  									<?php

										$attributes = array('name' => 'item_option', 'id' => "item_option");

										echo form_open(URL_EDIT_ITEM, $attributes); ?>


  									<input type="hidden" name="item_id" value="<?php if (isset($record)) echo $record->item_id; ?>">

  									<table class="table table-bordered" id="first" border="1">
  										<thead>
  											<tr>

  												<th>Option Set</th>
  												<th><?php echo get_languageword('option'); ?></th>
  												<th>Price (incl. VAT)</th>
  												<th>Remove</th>
  											</tr>
  										</thead>


  										<?php
											if (isset($item_selected_options) && !empty($item_selected_options)) {
												foreach ($item_selected_options as $key => $item_option) :
											?>

  												<tbody id="set_<?php echo $key; ?>">
  													<?php
														foreach ($item_option as $option) :

														?>
  														<tr>

  															<td>

  																<input type="hidden" name="option_sets[<?php echo $key; ?>][]" value="<?php echo $key; ?>" class="requiredfield form-control" />
  																<input type="text" disabled value="<?php echo $option->option_sets_name; ?>" class="form-control">

  															</td>
  															<td>


  																<input type="text" value="<?php echo $option->option_label; ?>" name="label[<?php echo $key; ?>][]" class="requiredfield form-control">

  															</td>
  															<td>

  																<input type="hidden" value="<?php echo $option->item_option_id; ?>" name="option_id[<?php echo $key; ?>][]">

  																<input type="text" value="<?php echo returnPrice($option->price); ?>" name="price[<?php echo $key; ?>][]" class="requiredfield priceField form-control">

  															</td>
  															<td>
  																<a class="btn btn-danger deletethisrow" href="javascript:void(0)">X</a>

  															</td>

  														</tr>

  													<?php
														endforeach; ?>
  												</tbody>
  										<?php
												endforeach;
											} ?>


  									</table>

  									<div class="form-group pull-right">
  										<button type="submit" name="item_options_save" class="btn btn-primary">Submit</button>
  									</div>

  									<?php echo form_close(); ?>

  								</div>

  							</div>


  						</div>
  					</div>
  				</div>
  				<!-- End Form Elements -->
  			</div>
  		</div>
  	</div>
  	<!-- /. PAGE INNER  -->

  	<!-- /. PAGE WRAPPER  -->


  	<!-- Form Validation Plugins /Start -->
  	<?php if (!empty($css_js_files) && in_array('form_validation', $css_js_files)) { ?>

  		<link href="<?php echo CSS_ADMIN_OR_BOOTSTRAP_VALIDATOR; ?>" rel="stylesheet">
  		<script type="text/javascript" src="<?php echo JS_ADMIN_BOOTSTRAP_VALIDATOR; ?>"></script>
  		<script type="text/javascript">
  			$(document).ready(function() {

  				$('#item_from').bootstrapValidator({
  					// To use feedback icons, ensure that you use Bootstrap v3.1.0 or later
  					/* feedbackIcons: {
  					    valid: 'glyphicon glyphicon-ok',
  					    invalid: 'glyphicon glyphicon-remove',
  					    validating: 'glyphicon glyphicon-refresh'
  					}, */
  					framework: 'bootstrap',
  					excluded: ':disabled',
  					fields: {
  						menu_id: {
  							validators: {
  								notEmpty: {
  									message: '<?php echo get_languageword('menu_required'); ?>'
  								}
  							}
  						},
  						item_name: {
  							validators: {
  								notEmpty: {
  									message: '<?php echo get_languageword('item_name_required'); ?>'
  								}
  							}
  						},
  						sort_order: {
  							validators: {
  								notEmpty: {
  									message: 'Sort order is required'
  								}
  							}
  						},
  						item_cost: {
  							validators: {
  								notEmpty: {
  									message: '<?php echo get_languageword('item_price_required'); ?>'
  								}
  							}
  						},

  						item_image: {
  							validators: {
  								file: {
  									extension: 'jpeg,jpg,png,gif,svg',
  									type: 'image/jpeg,image/png,image/gif,image/svg',
  									message: '<?php echo get_languageword('item_image_is_not_valid_file'); ?>'
  								}
  							}
  						}

  					},
  					submitHandler: function(validator, form, submitButton) {
  						form.submit();
  					}
  				});



  				validateOptionsForm();


  			});

  			function validateOptionsForm() {
  				$('#item_option').bootstrapValidator({
  					// To use feedback icons, ensure that you use Bootstrap v3.1.0 or later
  					/* feedbackIcons: {
  					    valid: 'glyphicon glyphicon-ok',
  					    invalid: 'glyphicon glyphicon-remove',
  					    validating: 'glyphicon glyphicon-refresh'
  					}, */
  					framework: 'bootstrap',
  					excluded: ':disabled',

  					fields: {
  						item_id: {
  							validators: {
  								notEmpty: {
  									message: 'Unable to find item id. Please try later or contact us.'
  								}
  							}
  						},
  						requiredfield: {
  							selector: '.requiredfield',
  							validators: {
  								notEmpty: {
  									message: 'All fields are required.',
  									live: 'enabled'
  								}
  							}
  						},
  						priceField: {
  							selector: '.priceField',
  							validators: {
  								regexp: {
  									regexp: /^[+-]?([0-9]*[.])?[0-9]+$/,
  									message: 'Price can only contain numbers and decimals',
  									live: 'enabled'
  								}
  							}
  						},



  					},
  					submitHandler: function(validator, form, submitButton) {
  						form.submit();
  					}
  				});
  			}
  		</script>

  		<link href="<?php echo ALERTIFY_MIN_CSS; ?>" rel="stylesheet">
  		<script type="text/javascript" src="<?php echo ALERTIFY_MIN_JS; ?>"></script>
  		<script type="text/javascript">
  			$('body').on('click', 'a.deletethisrow', function() {
  				var whichtr = $(this).closest("tr");
  				var c = confirm("Are you sure you want to delete this option?");
  				if (c) {
  					whichtr.remove();

  					$('#item_option').bootstrapValidator('destroy');
  					$('#item_option').data('bootstrapValidator', null);
  					validateOptionsForm();
  				}
  			});



  			function AddOptionRow() {
  				var option_id = $('#option_name option:selected').val();
  				var option_name = $('#option_name option:selected').text();

  				if ($('#option_name').val() == "") {
  					alertify.error("<?php echo get_languageword('select_option'); ?>");
  				} else {

  					str_to_add = '<tr><td><input type="hidden" name="option_sets[' + option_id + '][]" value="' + option_id + '" class="requiredfield form-control" /><input type="text" disabled value="' + option_name + '" class="form-control"></td><td><input type="text" value="" name="label[' + option_id + '][]" class="requiredfield form-control"></td><td><input type="hidden" value="new" name="option_id[' + option_id + '][]"><input type="text" value="" name="price[' + option_id + '][]" class="requiredfield priceField form-control"></td><td><a class="btn btn-danger deletethisrow" href="javascript:void(0)" >X</a></td>';
  					if ($('#set_' + option_id).length === 0) {
  						$('table#first').append('<tbody id=set_' + option_id + '>' + str_to_add + '</tbody>')
  					} else {
  						$('#set_' + option_id).append(str_to_add);
  					}

  					$('#item_option').bootstrapValidator('destroy');
  					$('#item_option').data('bootstrapValidator', null);
  					validateOptionsForm();
  				}
  			}
  		</script>
  	<?php } ?><script type="text/javascript" src="<?php echo JS_ADMIN_BOOTSTRAP_MAXLENGTH_MIN; ?>"></script>
  	<script type="text/javascript">
  		$('textarea').maxlength({
  			alwaysShow: true,
  			threshold: 10,
  			warningClass: "label label-success",
  			limitReachedClass: "label label-danger",
  			separator: ' out of ',
  			preText: '',
  			postText: ' chars.',
  			validate: true
  		});
  	</script>