<?php
/**
 * 
 * 
 *
 * @category  Admin
 * @package   http://opensource.org/licenses/MIT    MIT License
 * @link      http://codeigniter.com
 * @since     Version 1.0.0
 */
defined('BASEPATH') OR exit('No direct script access allowed');

/**
 * CodeIgniter Addons Class
 * 
 * Admin can perform operations.
 *
 * @category  Admin
 * @package   http://opensource.org/licenses/MIT    MIT License
 * @link      http://codeigniter.com
 */
class Manager extends MY_Controller
{

    /**
    | -----------------------------------------------------
    |
    | MODULE:           ADMIN CONTROLLER
    | -----------------------------------------------------
    | This is Admin module controller file.
    | -----------------------------------------------------
     **/
    function __construct()
    {
        parent::__construct();
        check_access('branch_manager');
    }

    /**
     * ADMIN DASHBOARD 
     * Fetch records count of modules
     *
     * @return array
     **/    
    function index()
    {
        
        
        $this->load->model('bm_model');

        $this->data['activemenu']     = ACTIVE_ADMIN;
        $this->data['record'] = $this->fetch_orders_overview();
        $this->data['message']         = $this->session->flashdata('message');
        $this->data['pagetitle']       = get_languageword('admin_dashboard');
        $this->data['content']         = PAGE_BM_DASHBOARD;
        $this->_render_page(TEMPLATE_BM, $this->data);

        

    }
    
    /**
     * ADMIN DASHBOARD 
     * Fetch Orders summary with status
     * to show in graph format
     *
     * @return array
     **/ 
    
    function profile()
    {
        $user_id = $this->ion_auth->get_user_id();
        
        if (isset($_POST['update_profile'])) {
            
            
                
            $msg='';
            $status=0;
            
            $this->form_validation->set_rules('first_name', get_languageword('first_name'), 'required|xss_clean');
            $this->form_validation->set_rules('last_name', get_languageword('last_name'), 'required|xss_clean');
            $this->form_validation->set_rules('phone', get_languageword('phone'), 'required|xss_clean');
            
            $this->form_validation->set_error_delimiters('<div class="error">', '</div>');
            
            if ($this->form_validation->run() == TRUE) {
                $data = array();
                $data['first_name'] = $this->input->post('first_name');
                $data['last_name']     = $this->input->post('last_name');
                $data['username']   = $this->input->post('first_name').' '.$this->input->post('last_name');
                $data['phone']        = $this->input->post('phone');
                
                $where['id'] = $user_id;
                if ($this->base_model->update_operation($data, TBL_USERS, $where)) {
                    $msg .= get_languageword('details_saved_successfully');
                    $status = 0;
                } else {
                    $msg .= get_languageword('details_not_saved');
                    $status = 1;
                }
                unset($data, $where);
                
                //Upload User Image
                if (count($_FILES) > 0) {
                    if ($_FILES['user_image']['name'] != '' && $_FILES['user_image']['error'] != 4) {
                        $record = $this->base_model->fetch_records_from(TBL_USERS, array('id'=>$user_id));
                    
                        if (!empty($record)) {
                            $record = $record[0];
                            if ($record->photo != '' && file_exists(USER_IMG_UPLOAD_PATH_URL.$record->photo)) {
                                unlink(USER_IMG_UPLOAD_PATH_URL.$record->photo);
                                unlink(USER_IMG_UPLOAD_THUMB_PATH_URL.$record->photo);
                            }
                        }
                        
                        
                        
                        $ext = pathinfo($_FILES['user_image']['name'], PATHINFO_EXTENSION);
                        $file_name = 'user_'.$user_id.'.'.$ext;
                        $config['upload_path']         = USER_IMG_UPLOAD_PATH_URL;
                        $config['allowed_types']     = ALLOWED_TYPES;
                        
                        $config['file_name']  = $file_name;
                        $this->load->library('upload', $config);
                        $this->upload->initialize($config);

                        if ($this->upload->do_upload('user_image')) {
                            $data = array();
                            $data['photo'] = $file_name;
                            $this->create_thumbnail($config['upload_path'].$file_name, USER_IMG_UPLOAD_THUMB_PATH_URL.$file_name, 200, 200);
                            
                            $this->base_model->update_operation($data, TBL_USERS, array('id'=>$user_id));
                        } else {
                            $msg .= '<br>'.strip_tags($this->upload->display_errors());
                            $status =1;
                        }
                    }
                }
                    
                if ($msg != '') {
                    $this->prepare_flashmessage($msg, $status);
                }
                redirect(URL_ADMIN_PROFILE, REFRESH);
            }
        }
        
        $pagetitle = get_languageword('update_profile');
            
        $record = $this->base_model->fetch_records_from(TBL_USERS, array('id' => $user_id));
        if (empty($record)) {
            $this->prepare_flashmessage(get_languageword('no_details_found'), 2);
            redirect(URL_ADMIN_INDEX);                
        }
        $this->data['record'] =    $record[0];
            
        $this->data['css_js_files']  = array('form_validation');
        $this->data['pagetitle']     = $pagetitle;
        
        $this->data['activemenu']      = ACTIVE_ADMIN;
        
        $this->data['content']          = PAGE_ADMIN_RROFILE;
        $this->_render_page(TEMPLATE_ADMIN, $this->data);    
    }
    
    /**
     * Change Password 
     *
     * @return boolean
     **/
    function change_password()
    {
        if (isset($_POST['change_pwd'])) {
            
            $this->form_validation->set_rules('old_password', get_languageword('current_password'), 'required|xss_clean');
            
            $this->form_validation->set_rules('new_password', get_languageword('new_password'), 'required|min_length[' . $this->config->item('min_password_length', 'ion_auth') . ']|max_length[' . $this->config->item('max_password_length', 'ion_auth') . ']|xss_clean');
            
            $this->form_validation->set_rules('new_confirm_password', get_languageword('new_confirm_password'), 'required|matches[new_password]|xss_clean');
            
            $this->form_validation->set_error_delimiters('<div class="error">', '</div>');
            
            if ($this->form_validation->run() == TRUE) {
                $identity = $this->session->userdata('identity');
                $change = $this->ion_auth->change_password($identity, $this->input->post('old_password'), $this->input->post('new_password'));
                
                if ($change) {
                    $this->prepare_flashmessage(get_languageword('password_changed_successfully'), 0);
                    redirect(URL_AUTH_LOGOUT.DS.'password', REFRESH);
                } else {
                    $this->prepare_flashmessage($this->ion_auth->errors(), 1);
                    redirect(URL_ADMIN_CHANGE_PASSWORD, REFRESH);
                }
            }
        }
        
        $user = $this->ion_auth->user()->row();    
        $this->data['min_password_length'] = $this->config->item('min_password_length', 'ion_auth');
        $this->data['old_password'] = array(
        'name' => 'old_password',
        'id'   => 'old_password',
        'type' => 'password',
        'class' => 'form-control crunch-newpwd',
        'placeholder'=>get_languageword('current_password')
        );
        $this->data['new_password'] = array(
        'name'    => 'new_password',
        'id'      => 'new_password',
        'type'    => 'password',
        // 'pattern' => '^.{'.$this->data['min_password_length'].'}.*$',
        'class' => 'form-control crunch-newpwd',
        'placeholder'=>get_languageword('new_password')
        );
        $this->data['new_password_confirm'] = array(
        'name'    => 'new_confirm_password',
        'id'      => 'new_confirm_password',
        'type'    => 'password',
        // 'pattern' => '^.{'.$this->data['min_password_length'].'}.*$',
        'class' => 'form-control crunch-newpwd',
        'placeholder'=>get_languageword('new_confirm_password')
        );
        $this->data['user_id'] = array(
        'name'  => 'user_id',
        'id'    => 'user_id',
        'type'  => 'hidden',
        'value' => $user->id,
        );
        
        $this->data['css_js_files'] = array('form_validation');
        $this->data['activemenu']     = ACTIVE_ADMIN;
        $this->data['pagetitle']     = get_languageword('change_password');
        $this->data['content']         = PAGE_CHANGE_PASSWORD;
        $this->_render_page(TEMPLATE_ADMIN, $this->data);
    }
    
    /**
     * ADMIN DASHBOARD
     * Fetch Orders summary with status
     * to show in calendar
     *
     * @return array
     **/    
 
    function fetch_orders_overview()
    {
        //get count of orders - datewise -
        
        $data=array();
        $branch_id = $this->ion_auth->get_user_branch();
        
        $query = "SELECT distinct o.* from ".TBL_PREFIX.TBL_ORDERS." o LEFT JOIN ". TBL_PREFIX.TBL_SERVICE_PROVIDE_LOCATIONS." a ON o.city_id = a.service_provide_location_id WHERE o.branch_id = ".$branch_id." OR a.branch_id=".$branch_id;
        
        $data['total_orders'] = count($this->db->query($query)->result());

        $query = "SELECT distinct o.* from ".TBL_PREFIX.TBL_ORDERS." o LEFT JOIN ". TBL_PREFIX.TBL_SERVICE_PROVIDE_LOCATIONS." a ON o.city_id = a.service_provide_location_id WHERE o.status='new' AND (o.branch_id = ".$branch_id." OR a.branch_id=".$branch_id.")";
        $data['new_orders'] = count($this->db->query($query)->result());


        $query = "SELECT distinct o.* from ".TBL_PREFIX.TBL_ORDERS." o LEFT JOIN ". TBL_PREFIX.TBL_SERVICE_PROVIDE_LOCATIONS." a ON o.city_id = a.service_provide_location_id WHERE o.status='delivered' AND (o.branch_id = ".$branch_id." OR a.branch_id=".$branch_id.")";
        
        $data['delivered_orders'] = count($this->db->query($query)->result());
        
        $query = "SELECT distinct o.* from ".TBL_PREFIX.TBL_ORDERS." o LEFT JOIN ". TBL_PREFIX.TBL_SERVICE_PROVIDE_LOCATIONS." a ON o.city_id = a.service_provide_location_id WHERE o.status='cancelled' AND (o.branch_id = ".$branch_id." OR a.branch_id=".$branch_id.")";
        
        $data['cancelled_orders'] = count($this->db->query($query)->result());

        return $data;
    }
}
