<?php

defined('BASEPATH') or exit('No direct script access allowed');

class Managers extends MY_Controller
{

    /**
    | -----------------------------------------------------
    | 
    | -----------------------------------------------------
    | This is Branches module controller file.
    | -----------------------------------------------------
     **/
    function __construct()
    {
        parent::__construct();
        check_access('admin');
    }

    /**
     * 
     * Displays the Index Page 
     *
     * @return array
     **/
    function index()
    {


        if ($this->input->post()) {
            /***
             * 
             * 
             * Delete Operation - Start 
             ***/
            $param1 = $this->input->post('param1');
            $param2 = $this->input->post('param2');

            if (in_array($param1, array('delete', 'delete_selected', 'activate_selected', 'deactivate_selected')) && !empty($param2)) {

                $msg = '';
                $status = 0;
                if ($param1 == "delete") {
                    $record = $this->base_model->fetch_records_from(TBL_USERS, array('id' => $param2));

                    if ($this->base_model->delete_record_new(TBL_USERS, array('id' => $param2))) {
                        if (!empty($record)) {
                            $record = $record[0];
                        }
                        $msg .= get_languageword('record_deleted_successfully');
                        $this->base_model->delete_record_new(TBL_USERS_GROUPS, array('user_id' => $param2));
                        $status = 0;
                    } else {
                        $msg .= get_languageword('record_not_deleted');
                        $status = 1;
                    }
                } else if ($param1 == "delete_selected") {
                    $rows_to_be_deleted = explode(',', $param2);
                    foreach ($rows_to_be_deleted as $row) :
                        $record = $this->base_model->fetch_records_from(TBL_USERS, array('id' => $row));
                        $this->base_model->delete_record_new(TBL_USERS_GROUPS, array('user_id' => $row));
                        if (!empty($record)) {
                            $record = $record[0];
                        }

                    endforeach;

                    if ($this->base_model->delete_record(TBL_USERS, 'id', $rows_to_be_deleted)) {
                        $this->base_model->delete_record_new(TBL_USERS_GROUPS, array('user_id' => $rows_to_be_deleted));
                        $msg .= get_languageword('selected_records_deleted_successfully');
                        $status = 0;
                    } else {
                        $msg .= get_languageword('record_not_deleted');
                        $status = 1;
                    }
                } else if ($param1 == "activate_selected") {
                    $rows_to_be_activated = explode(',', $param2);
                    if ($this->base_model->changestatus_multiple_recs(TBL_USERS, array('active' => 1, 'is_activated' => 'Yes'), 'id', $rows_to_be_activated)) {
                        $msg .= get_languageword('selected_records_activated_successfully');
                        $status = 0;
                    } else {
                        $msg .= get_languageword('record_not_activated');
                    }
                } else if ($param1 == "deactivate_selected") {
                    $rows_to_be_deactivated = explode(',', $param2);
                    if ($this->base_model->changestatus_multiple_recs(TBL_USERS, array('active' => 0, 'is_activated' => 'No'), 'id', $rows_to_be_deactivated)) {
                        $msg .= get_languageword('selected_records_deactivated_successfully');
                        $status = 0;
                    } else {
                        $msg .= get_languageword('record_not_deactivated');
                        $status = 1;
                    }
                }
                $this->prepare_flashmessage($msg, $status);
                redirect(URL_BRANCH_MANAGERS_INDEX);
            }
        }

        $this->data['ajaxrequest'] = array(
            'url' => URL_BRANCH_MANAGERS_AJAX_GET_LIST,
            'disablesorting' => '0,3',
        );

        $this->data['css_js_files'] = array('data_tables');
        $this->data['activemenu']     = ACTIVE_MASTER_SETTINGS;
        $this->data['actv_submenu']      = "managers";
        $this->data['message']         = $this->session->flashdata('message');
        $this->data['pagetitle']     = "Branch Managers";
        $this->data['content']         = PAGE_BRANCH_MANAGERS;
        $this->_render_page(TEMPLATE_ADMIN, $this->data);
    }

    /**
     * 
     * Display Branches
     *
     * @return array
     **/
    function ajax_get_list()
    {
        if ($this->input->is_ajax_request()) {
            $data = array();
            $no = $_POST['start'];

            $conditions = array();

            $columns = array('u.username', 'u.email', 'b.branches_title', 'u.active');

            $query     = "SELECT u.*,b.* from " . TBL_PREFIX . TBL_USERS . " u INNER JOIN  " . TBL_PREFIX . TBL_USERS_GROUPS . " g on u.id = g.user_id INNER JOIN " . TBL_PREFIX . TBL_BRANCHES . " b on u.branch_id = b.branches_id WHERE g.group_id = 5";

            $records = $this->base_model->get_datatables($query, 'customnew', $conditions, $columns, array('u.username' => 'asc'));

            if (!empty($records)) {

                foreach ($records as $record) {
                    $no++;
                    $row = array();


                    $row[] = '<input type="checkbox" name="check_rows[]" class="check_rows" value="' . $record->id . '"> ';

                    $row[] = '<span>' . $record->username . '</span>';
                    $row[] = '<span>' . $record->email . '</span>';
                    $row[] = '<span>' . $record->branches_title . '</span>';
                    $checked = '';
                    $text = 'In-active';
                    $class = 'badge danger';
                    if ($record->active == '1' || $record->active == 1) {
                        $checked = ' checked';
                        $text = 'Active';
                        $class = 'badge success';
                    }
                    $row[] = '<span class="' . $class . '">' . $text . '</span>';


                    $dta = '';
                    $dta .= '<span>';
                    $dta .= form_open(URL_ADDEDIT_BRANCH_MANAGER);
                    $dta .= '<input type="hidden" name="id" value="' . $record->id . '">';
                    $dta .= '<button type="submit" name="edit_branch_manager" class="' . CLASS_EDIT_BTN . '"><i class="' . CLASS_ICON_EDIT . '" ></i></button>';
                    $dta .= form_close();
                    $dta .= '</span>';

                    $str = $dta;


                    $str .= '<a data-toggle="modal" data-target="#commonModal" title="' . get_languageword('delete') . '" class="' . CLASS_DELETE_BTN . '" onclick="set_fields(\'delete\', \'' . $record->id . '\');"><i class="' . CLASS_ICON_DELETE . '" ></i> </a>';

                    $row[] = $str;

                    $data[] = $row;
                }
            }

            $output = array(
                "draw" => $_POST['draw'],
                "recordsTotal" => $this->base_model->numrows,
                "recordsFiltered" => $this->base_model->numrows,
                "data" => $data,
            );

            echo json_encode($output);
        }
    }

    /**
     * 
     * 
     * Add / Update Branch 
     * 
     *
     * @return boolean
     **/
    function addedit()
    {


        $pagetitle = "Add Branch Manager";
        if (isset($_POST['addedit_branch_manager'])) {

            $msg = '';
            $status = 0;
            $pagetitle = "Add Branch Manager";
            $bm_id = $_POST['branch_manager_id'];

            $this->form_validation->set_rules('username', 'Full Name', 'required|xss_clean');

            $this->form_validation->set_rules('status', 'Active', 'required|xss_clean');
            $this->form_validation->set_rules('phone', 'Phone', 'required|xss_clean');
            $this->form_validation->set_rules('branch_id', 'Branch', 'required|xss_clean');
            if (!isset($bm_id) || strlen(($bm_id) == 0)) :
                $this->form_validation->set_rules('email', 'Email address', 'valid_email|required|xss_clean|is_unique[cr_users.email]');
                $this->form_validation->set_rules('password', 'Password', 'trim|min_length[6]|required|xss_clean');
            else :
                $this->form_validation->set_rules('email', 'Email address', 'valid_email|required|xss_clean');
            endif;
            $this->form_validation->set_error_delimiters('<div class="error">', '</div>');


            if ($this->form_validation->run() == TRUE) {

                $salt = $this->ion_auth_model->store_salt ? $this->ion_auth_model->salt() : FALSE;
                $data = array();
                $data['username'] = $this->input->post('username');
                $data['email'] = $this->input->post('email');
                $data['ip_address'] = '127.0.0.1';
                $data['phone'] = $this->input->post('phone');
                $data['branch_id'] = $this->input->post('branch_id');
                $data['active'] = (int) $this->input->post('status');
                if ((int) $this->input->post('status') == 1) {
                    $data['is_activated'] = 'Yes';
                } else {
                    $data['is_activated'] = 'No';
                }
                $data['created_on'] = time();
                if (!isset($bm_id) || strlen(($bm_id) == 0)) :
                    $data['password']   = $this->ion_auth_model->hash_password($_POST['password'], $salt);
                else:
                    if(isset($_POST['password']) && strlen($_POST['password'])>0) {
                        $data['password']   = $this->ion_auth_model->hash_password($_POST['password'], $salt);
                    }
                endif;

                if ($this->input->post('branch_manager_id') > 0) {
                    $where['id'] = $this->input->post('branch_manager_id');
                    if ($this->base_model->update_operation($data, TBL_USERS, $where)) {
                        $msg .= get_languageword('details_saved_successfully');
                        $status = 0;
                    } else {
                        $msg .= get_languageword('details_not_saved');
                        $status = 1;
                    }
                } else {

                    $uid = $this->base_model->insert_operation_id($data, TBL_USERS);

                    if ($uid) {
                        $this->base_model->insert_operation_id(array('user_id' => $uid, 'group_id' => 5), TBL_USERS_GROUPS);

                        $msg .= get_languageword('details_saved_successfully');
                        $status = 0;
                    } else {
                        $msg .= get_languageword('details_not_saved');
                        $status = 1;
                    }
                }
                unset($data, $where);
                if ($msg != '') {
                    $this->prepare_flashmessage($msg, $status);
                    redirect(URL_BRANCH_MANAGERS_INDEX, REFRESH);
                }
            }
        }

        if (isset($_POST['edit_branch_manager'])) {
            $user_id = $this->input->post('id');
            if ($user_id > 0) {
                $pagetitle = "Edit Branch Manager";
                $record = $this->base_model->fetch_records_from(TBL_USERS, array('id' => $user_id));
                if (empty($record)) {
                    $this->prepare_flashmessage(get_languageword('no_details_found'), 2);
                    redirect(URL_BRANCH_MANAGERS_INDEX);
                }
                $this->data['record'] =    $record[0];
            } else {
                redirect(URL_BRANCH_MANAGERS_INDEX);
            }
        }
        $branches = $this->base_model->get_active_branches();
        $status_options = $this->base_model->status_options_numeric();
        $this->data['status_options'] = $status_options[0];
        $this->data['branches'] = $branches;
        $this->data['css_js_files']  = array('form_validation');
        $this->data['pagetitle']     = $pagetitle;
        $this->data['activemenu']      = ACTIVE_BRANCH_MANAGERS_SETTINGS;
        $this->data['actv_submenu']      = "managers";
        $this->data['content']          = PAGE_ADDEDIT_BRANCH;
        $this->_render_page(TEMPLATE_ADMIN, $this->data);
    }
}
