  <?php

  /**
   *
   * @category  Settings
   * 
   * @since     Version 1.0.0
   */
  defined('BASEPATH') or exit('No direct script access allowed');

  /**
   * CodeIgniter Settings Class
   * 
   * All can perform all Settings operations.
   *
   * @category  Settings
   * 
   */
  class Payment_gateway extends MY_Controller
  {

    /**
    | -----------------------------------------------------
    |
    | MODULE:           SETTINGS CONTROLLER
    | -----------------------------------------------------
    | This is Settings module controller file.
    | -----------------------------------------------------
     **/
    function __construct()
    {
      parent::__construct();
      check_access('admin');
    }


    function file_selected_test()
    {

      $this->form_validation->set_message('file_selected_test', 'Please select file.');
      if (empty($_FILES['id_document_front']['name'])) {
        return false;
      } else {
        return true;
      }
    }
    function index()
    {
      $record = null;
      $records = $this->crunchy_model->get_tap_business();
      if (!empty($records) && isset($records[0])) {
        $record = $records[0];
      }

      if (isset($_POST['create_business']) && !$record) {



        $msg = '';
        $status = 0;


        $this->form_validation->set_rules('business_title', 'Business Title', 'trim|required|max_length[100]|xss_clean');
        $this->form_validation->set_rules('iban', 'IBAN', 'trim|required|xss_clean');
        $this->form_validation->set_rules('business_country', 'Business Country', 'trim|required|exact_length[3]|xss_clean');
        $this->form_validation->set_rules('business_legal_name', 'Business Legal Name', 'trim|required|max_length[100]|xss_clean');
        $this->form_validation->set_rules('contact_title', 'Contact Person Title', 'trim|required|max_length[100]|xss_clean');
        $this->form_validation->set_rules('contact_first', 'First Name', 'trim|required|max_length[100]|xss_clean');
        $this->form_validation->set_rules('contact_last', 'First Name', 'trim|required|max_length[100]|xss_clean');

        $this->form_validation->set_rules('business_type', 'Business Type', 'trim|required|max_length[5]|xss_clean');
        $this->form_validation->set_rules('is_licensed', 'Is Licensed', 'trim|required|min_length[4]|xss_clean');
        $this->form_validation->set_rules('non_profit', 'Non-profit Organization', 'trim|required|min_length[4]|xss_clean');
        if (isset($_POST['commercial_registration_number']) && $_POST['commercial_registration_number'] != '') {
          $this->form_validation->set_rules('commercial_registration_number', 'Commercial Registration Number', 'trim|required|xss_clean');
          $this->form_validation->set_rules('commercial_registration_issuing_country', 'Commercial Registration Issuing Country', 'trim|required|exact_length[3]|xss_clean');
          $this->form_validation->set_rules('commercial_registration_issuing_date', 'Commercial Registration Issue Date', 'trim|required|xss_clean');
          $this->form_validation->set_rules('commercial_registration_expiry_date', 'Commercial Registration expiry Date', 'trim|required|xss_clean');
        }
        if (isset($_POST['commercial_agreement_number']) && $_POST['commercial_registraticommercial_agreement_number'] != '') {
          $this->form_validation->set_rules('commercial_agreement_number', 'Commercial Agreement Number', 'trim|required|xss_clean');
          $this->form_validation->set_rules('commercial_agreement_issuing_country', 'Commercial Agreement Issuing Country', 'trim|required|exact_length[3]|xss_clean');
          $this->form_validation->set_rules('commercial_agreement_issuing_date', 'Commercial Agreement Issue Date', 'trim|required|xss_clean');
          $this->form_validation->set_rules('commercial_agreement_expiry_date', 'Commercial Agreement expiry Date', 'trim|required|xss_clean');
        }
        $this->form_validation->set_rules('contact_email', 'Email Address', 'trim|required|valid_email|xss_clean');
        $this->form_validation->set_rules('contact_cc', 'Country Code', 'trim|numeric|required|xss_clean');
        $this->form_validation->set_rules('contact_phone', 'Phone Number', 'trim|numeric|required|xss_clean');
        if (isset($_POST['id_type']) && $_POST['id_type'] != '') {
          $this->form_validation->set_rules('id_type', 'ID Type', 'trim|required|xss_clean');
          $this->form_validation->set_rules('id_number', 'ID Number', 'trim|required|xss_clean');
          $this->form_validation->set_rules('id_document_front', 'ID Document Front', 'callback_file_selected_test');
          $this->form_validation->set_rules('id_issuing_country', 'ID Issuing Country', 'trim|required|exact_length[3]|xss_clean');
          $this->form_validation->set_rules('id_issuing_date', 'ID Issue Date', 'trim|required|xss_clean');
          $this->form_validation->set_rules('id_expiry_date', 'ID expiry Date', 'trim|required|xss_clean');
        }
        $this->form_validation->set_rules('brand_name', 'Brand Name', 'trim|required|xss_clean');

        $this->form_validation->set_error_delimiters('<div class="error">', '</div>');

        if ($this->form_validation->run() == TRUE) {

          $files = array();
          $push_data = array();
          if (count($_FILES) > 0) {
            foreach ($_FILES as $key => $val) {
              $response = null;
              if ($_FILES[$key]['name'] != '' && $_FILES[$key]['error'] != 4) {
                if ($key == 'brand_logo') {
                  $purpose = 'business_logo';
                } else {
                  $purpose = 'identity_document';
                }
                $vars = array(
                  'file' => new CURLFILE($_FILES[$key]['tmp_name'], $_FILES[$key]['type'], $_FILES[$key]['name']),
                  'purpose' => $purpose, '
                  title' => strtoupper(str_replace('_', ' ', $key)),
                  'file_link_create' => 'true',
                  'expires_at' => strtotime("+2 years")
                );
                $response = create_curl_request(TAP_FILES_URL, $vars);

                if ($response) {
                  $response = json_decode($response);
                }
                if (isset($response->id)) {
                  $files[$key] = $response->id;
                }
              }
            }
          }
          //

          $business_object = new stdClass();
          $business_object->name->en = $_POST['business_title'];
          $business_object->type = $_POST['business_type'];
          /* Entity */
          $business_object->entity->legal_name->en = $_POST['business_legal_name'];
          $business_object->entity->license_number = $_POST['license_number'];
          $business_object->entity->is_licensed = $_POST['is_licensed'];
          $business_object->entity->not_for_profit = $_POST['non_profit'];
          $business_object->entity->settlement_by = 'Acquirer';
          $business_object->entity->documents = array();
          $business_object->entity->country = $_POST['business_country'];
          $business_object->entity->bank_account->iban = $_POST['iban'];
          /* Entity */


          /* Contact Person */

          $business_object->contact_person->name->title = $_POST['contact_title'];
          $business_object->contact_person->name->first = $_POST['contact_first'];
          $business_object->contact_person->name->middle = $_POST['contact_middle'];
          $business_object->contact_person->name->last = $_POST['contact_last'];
          $business_object->contact_person->contact_info->primary->email = $_POST['contact_email'];
          $business_object->contact_person->is_authorized = true;
          $business_object->contact_person->identification = array();
          $business_object->contact_person->documents = array();
          $business_object->contact_person->contact_info->primary->phone->country_code = $_POST['contact_cc'];
          $business_object->contact_person->contact_info->primary->phone->number = $_POST['contact_phone'];

          /* Contact Person */
          /* BRANDS */
          $business_object->brands = array();
          $business_object->brands[0]->name->en = $_POST['brand_name'];
          $business_object->brands[0]->website = $_POST['brand_website'];
          $business_object->brands[0]->social = array();
          if (isset($_POST['brand_social'])) {

            $business_object->brands[0]->social = explode(',', $_POST['brand_social']);
          }
          $business_object->brands[0]->sector = array();
          $business_object->brands[0]->sector[0] = $_POST['brand_sector'];
          if (isset($files['brand_logo'])) {
            $business_object->brands[0]->logo = $files['brand_logo'];
          }
          $business_object->brands[0]->content->tag_line->en = $_POST['brand_tag'];
          $business_object->brands[0]->content->about->en = $_POST['brand_about'];
          foreach ($files as $key => $val) {
            $temp_obj = new stdClass();
            switch ($key) {
              case 'commercial_registration':
                if (isset($_POST['commercial_registration_number']) && $_POST['commercial_registration_number'] != '') {
                  $temp_obj->type = 'Commercial Registration';
                  $temp_obj->number = $_POST['commercial_registration_number'];
                  $temp_obj->issuing_country = $_POST['commercial_registration_issuing_country'];
                  $temp_obj->issuing_date = $_POST['commercial_registration_issuing_date'];
                  $temp_obj->expiry_date = $_POST['commercial_registration_expiry_date'];
                  $temp_obj->images = array();
                  $temp_obj->images[0] = $val;
                  array_push($business_object->entity->documents, $temp_obj);
                }

                break;

              case 'commercial_agreement':
                if (isset($_POST['commercial_agreement_number']) && $_POST['commercial_agreement_number'] != '') {
                  $temp_obj->type = 'Commercial License';
                  $temp_obj->number = $_POST['commercial_agreement_number'];
                  $temp_obj->issuing_country = $_POST['commercial_agreement_issuing_country'];
                  $temp_obj->issuing_date = $_POST['commercial_agreement_issuing_date'];
                  $temp_obj->expiry_date = $_POST['commercial_agreement_expiry_date'];
                  $temp_obj->images = array();
                  $temp_obj->images[0] = $val;
                  array_push($business_object->entity->documents, $temp_obj);
                }
                break;

              case 'id_document_front':
                if (isset($_POST['id_type']) && $_POST['id_type'] != '') {

                  $temp_obj->type = $_POST['id_type'];
                  $temp_obj->issuing_country = $_POST['id_issuing_country'];
                  $temp_obj->issuing_date = $_POST['id_issuing_date'];
                  $temp_obj->expiry_date = $_POST['id_expiry_date'];
                  $temp_obj->images = array();
                  array_push($temp_obj->images, $val);
                  if (isset($files['id_document_back'])) :
                    array_push($temp_obj->images, $files['id_document_back']);
                  endif;
                  array_push($business_object->contact_person->identification, $temp_obj);
                }
                break;
              case 'id_authorization_letter':
                $temp_obj->type = 'Authorization Letter';
                $temp_obj->images = array();
                array_push($temp_obj->images, $val);
                array_push($business_object->contact_person->documents, $temp_obj);

                break;
            }
          }
          $headers = array(
            "authorization: Bearer " . get_alligator_active_key(),
            "cache-control: no-cache",
            "content-type: application/json"
          );

          $response = create_curl_request(TAP_BUSINESS_URL, json_encode($business_object), $headers);

          if ($response) {
            $response = json_decode($response);
          }
          if (isset($response->id)) {
            $push_data['tap_id'] = $response->id;
            $push_data['created_at'] = $response->created;
            if (isset($response->brands) && is_array($response->brands) && count($response->brands) > 0) {
              $push_data['brand_id'] = $response->brands[0]->id;
            }
            if (isset($response->entity)) {
              $push_data['entity_id'] = $response->entity->id;
              if (isset($response->entity->wallets) && is_array($response->entity->wallets) && count($response->entity->wallets) > 0) {
                $push_data['wallet_id'] = $response->entity->wallets[0]->id;
              }
              if (isset($response->entity->branches) && is_array($response->entity->branches) && count($response->entity->branches) > 0) {
                $push_data['branch_id'] = $response->entity->branches[0]->id;
              }
            }
            $push_data['country_code'] = $this->input->post('contact_cc');
          }
          if (!empty($push_data)) {
            $bu_id = $this->base_model->insert_operation_id($push_data, TBL_TAP_BUSINESS);
            if ($bu_id) {
              $msg .= 'Business Has Been Created Successfully';
              $status = 0;
            } else {
              $msg .= 'Business Creation Failed due to Database Error. Try again later';
              $status = 1;
            }
          } else {
            $msg .= 'API Error occured during business creation. Try again later.<br/>';
            if (isset($response->errors) && is_array($response->errors)) {
              foreach ($response->errors as $re) {
                $msg .= $re->description . '<br/>';
              }
            }
            $status = 1;
          }
          if ($msg != '') {
            $this->prepare_flashmessage($msg, $status);
          }
          redirect(URL_TAP_PAYMENT, REFRESH);
        }
      }
      ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
      if (isset($_POST['create_merchant']) && isset($record) && strlen($record->merchant_id) == 0) {

        $msg = '';
        $status = 0;

        $this->form_validation->set_rules('display_name', 'Display Name', 'trim|required|max_length[100]|xss_clean');
        $this->form_validation->set_rules('business_id', 'Business ID', 'trim|required|xss_clean');
        $this->form_validation->set_rules('business_entity_id', 'Entity ID', 'trim|required|max_length[100]|xss_clean');
        $this->form_validation->set_rules('branch_id', 'Branch ID', 'trim|required|max_length[100]|xss_clean');
        $this->form_validation->set_rules('charge_currenices', 'Currency', 'trim|required|exact_length[3]|xss_clean');

        $this->form_validation->set_error_delimiters('<div class="error">', '</div>');
        if ($this->form_validation->run() == TRUE) {
          $headers = array(
            "authorization: Bearer " . get_alligator_active_key(),
            "cache-control: no-cache",
            "content-type: application/json"
          );
          $post_data = array();
          $post_data['display_name'] = $this->input->post('display_name');
          $post_data['business_id'] = $this->input->post('business_id');
          $post_data['branch_id'] = $this->input->post('branch_id');
          $post_data['business_entity_id'] = $this->input->post('business_entity_id');
          $post_data['charge_currenices'] = array($this->input->post('charge_currenices'));

          $response = create_curl_request(TAP_MERCHANT_URL, json_encode($post_data), $headers);

          if ($response) {
            $response = json_decode($response);
            if (isset($response->id) && isset($response->wallets->id)) {
              $data['merchant_id'] = $response->id;
              $data['wallet_id'] = $response->wallets->id;
              $where['tap_id'] = $this->input->post('business_id');
              if ($this->base_model->update_operation($data, TBL_TAP_BUSINESS, $where)) {
                $dev_object = new stdClass();
                $dev_object->contact->email = $this->config->item('site_settings')->portal_email;
                $dev_object->brands = array($response->brand_id);
                $dev_object->entity->id = $response->business_entity_id;
                $dev_object->is_authorize = true;
                $response = create_curl_request(TAP_MERCHANT_URL, json_encode($dev_object), $headers);
                if ($response) {
                  $response = json_decode($response);
                  if (isset($response->developer->id)) {
                    $data['developer_id'] = $response->developer->id;
                    $where['tap_id'] = $this->input->post('business_id');
                    $this->base_model->update_operation($data, TBL_TAP_BUSINESS, $where);
                  }
                  $msg .= get_languageword('details_saved_successfully');
                  $status = 0;
                } else {
                  $msg .= get_languageword('details_not_saved');
                  $status = 1;
                }
              } else {
                $msg .= 'Unable to create Merchant. Database Error. Try Again later.<br/>';
              }
            } else {

              $msg .= 'Unable to create Merchant. API Error. Try Again later.<br/>';
              if (isset($response->errors) && is_array($response->errors)) {
                foreach ($response->errors as $re) {
                  $msg .= $re->description . '<br/>';
                }
              }
              if (isset($response->message)) {
                $msg .= $response->message . '<br/>';
              }
              $status = 1;
            }

            redirect(URL_TAP_PAYMENT, REFRESH);
          } else {
            $msg .= 'Network Error. Unable to connect to api server. Try again later' . '<br/>';
            $status = 1;
          }
          if ($msg != '') {
            $this->prepare_flashmessage($msg, $status);
          }
        }
      }
      if (empty($records)) {

        $this->data['record']          = $record;
        $this->data['css_js_files']  = array('form_validation');
        $this->data['pagetitle']     = 'Step 1- Payment Gateway Configuration';
        $this->data['content'] = PAGE_CREATE_BUSINESS;
      } else {

        if (!isset($record->merchant_id) || $record->merchant_id == '' || strlen($record->merchant_id) == 0) {


          $this->data['record']          = $record;
          $this->data['css_js_files']  = array('form_validation');
          $this->data['pagetitle']     = 'Step 2 - Payment Gateway Configuration';
          $this->data['content'] = PAGE_CREATE_MERCHANT;
        } else if (!isset($record->operator_id) || !isset($record->operator_api_key_test) || !isset($record->operator_api_key_live) || $record->operator_id == '' || strlen($record->operator_id) == 0 || !isset($record->developer_id) || strlen($record->developer_id) == 0) {
        
          $headers = array(
            "authorization: Bearer " . get_alligator_active_key(),
            "cache-control: no-cache",
            "content-type: application/json"
          );
       
          $msg = '';
          $status = 0;
          $dev_object = new stdClass();
          $response = create_curl_request(TAP_ENTITY_FETCH_URL . $record->entity_id, "{}", $headers, "GET");
          if (isset($response)) {

            $response = json_decode($response);
           
            ///////////////////////////////////////////////////////////////////////////////////////////
          
            if (isset($response->entity->operator->developer_id) && strlen($response->entity->operator->developer_id) > 0) {
              $data['developer_id'] = $dev_id = $response->entity->operator->developer_id;
              $wallet_id = $record->wallet_id;
              $name = $response->entity->legal_name->en;

              $post_dat = array();
              $post_dat['wallet_id'] = $wallet_id;
              $post_dat['developer_id'] = $dev_id;
              $post_dat['name'] = $name;
              $post_dat['platform'] = 'web';
              $post_dat['brands'] = array();
              $post_dat['brands'][0] = new stdClass();
              $post_dat['brands'][0]->brand_id = $record->brand_id;
              $post_dat['brands'][0]->branch_id = array();
              array_push($post_dat['brands'][0]->branch_id,$record->branch_id);
             
              $res = create_curl_request(TAP_OPERATOR_URL, json_encode($post_dat), $headers);
              
              if ($res) {
                $res = json_decode($res);
               
                if (isset($res->id)) {
                  $data['operator_id'] = $res->id;
                  $data['developer_id'] = $res->developer_id;
                  $data['operator_api_key_test'] = $res->api_credentials->test->secret;
                  $data['operator_api_key_live'] = $res->api_credentials->live->secret;
                
                  $where['tap_id'] = $record->tap_id;
                  $dev_id = $this->base_model->update_operation($data, TBL_TAP_BUSINESS, $where);
                  if ($dev_id) {

                    $record->operator_id = $res->id;
                  } else {
                    $record->operator_id = 'Not Found';
                  }
                  $msg .= get_languageword('details_saved_successfully');
                  $status = 0;
                } else {
                  $msg .= 'Unable to create Operator. API Error. Try Again later.<br/>';
        
                if (isset($res->errors) && is_array($res->errors)) {
                  foreach ($res->errors as $re) {
                    $msg .= $re->description . '<br/>';
                  }
                }
                if (isset($res->message)) {
                  $msg .= $res->message . '<br/>';
                }
                $status = 1;
                }
               
               
              }
              else {

                $msg .= 'Unable to create Operator. API Error. Try Again later.<br/>';
                $status = 1;
              }

            } else {

              $msg .= 'Unable to retrieve developer ID. API Error. Try Again later.<br/>';
              if (isset($response->errors) && is_array($response->errors)) {
                foreach ($response->errors as $re) {
                  $msg .= $re->description . '<br/>';
                }
              }
              if (isset($response->message)) {
                $msg .= $response->message . '<br/>';
              }
              $status = 1;
            }

           
          } else {
            $msg .= 'Unable to create Operator. API Error. Try Again later';
            $status = 1;
          }
          if ($msg != '') {
            $this->prepare_flashmessage($msg, $status);
          }

          if (isset($response->entity->operator->status)) {
            $record->status = $response->entity->operator->status;
          } else {
            $record->status = 'Unknown';
          }



          $this->data['record']          = $record;
          $this->data['css_js_files']  = array('form_validation');
          $this->data['pagetitle']     = 'Payment Gateway Details';
          $this->data['content'] = PAGE_BUSINESS_DETAILS;
        } else {
          $response = create_curl_request(TAP_OPERATOR_FETCH_URL . $record->operator_id, "{}", $headers, "GET");
          if (isset($response)) {
            $response = json_decode($response);
          }
          if (isset($response->status)) {
            $record->status = $response->status;
          } else {
            $record->status = 'Unknown';
          }
          if (isset($response->created)) {
            $record->created = $response->created;
          } else {
            $record->status = 'Unknown';
          }


          $this->data['record']          = $record;
          $this->data['css_js_files']  = array('form_validation');
          $this->data['pagetitle']     = 'Payment Gateway Details';
          $this->data['content'] = PAGE_BUSINESS_DETAILS;
        }
      }
      $this->_render_page(TEMPLATE_ADMIN, $this->data);
    }
  }
