<?php
/**
 *
 * @category  Welcomemodel
 * 
 * @since     Version 1.0.0
 */
defined('BASEPATH') OR exit('No direct script access allowed');

/**
 * CodeIgniter Welcome Model
 * 
 * Welcome_Model perform operations.
 *
 * @category  Welcomemodel
 * 
 */
class Welcome_model extends CI_Model
{
    
    /**
    | -----------------------------------------------------
    |
    | MODULE:           Welcome_Model
    | -----------------------------------------------------
    | This is Welcome_Model file.
    | -----------------------------------------------------
     **/
    function __construct()
    {
        parent::__construct();
        $this->load->database();
    }
    
    /**
     * Get Item options
     *
     * @param int $item_id 
     * @param int $item_option_id               
     *
     * @return array
     */   
    function getItemOptions($item_id, $item_option_id = "")
    {
        $cond1 = "";
            
        if ($item_option_id > 0) {
            $cond1 = " AND io.item_option_id=".$item_option_id." ";
        }

        return $this->base_model->get_query_result("select io.item_option_id,io.option_label,io.price,os.option_sets_label,os.option_sets_id from ".TBL_PREFIX.TBL_ITEM_OPTIONS." io inner join ".TBL_PREFIX.TBL_OPTIONS_SETS." os on io.option_id=os.option_sets_id where io.item_id=".$item_id." and os.option_sets_status='Active' and os.option_sets_mandatory = 1 ".$cond1);
    }
    function getItemOptionsandAddons($item_id, $item_option_id = "")
    {
        $cond1 = "";
            
        if ($item_option_id > 0) {
            $cond1 = " AND io.item_option_id=".$item_option_id." ";
        }

        return $this->base_model->get_query_result("select io.item_option_id,io.option_label,io.price,os.option_sets_label,os.option_sets_mandatory,os.option_sets_min,os.option_sets_max,os.option_sets_id from ".TBL_PREFIX.TBL_ITEM_OPTIONS." io inner join ".TBL_PREFIX.TBL_OPTIONS_SETS." os on io.option_id=os.option_sets_id where io.item_id=".$item_id." and os.option_sets_status='Active'".$cond1." order by io.item_option_id asc");
    }
    
    /**
     * Get Item addons
     *
     * @param int $item_id 
     *
     * @return array
     */  
    function getItemAddons($item_id)
    {
        return $this->base_model->get_query_result("select io.item_option_id,io.option_label,io.price,os.option_sets_label,os.option_sets_min,os.option_sets_max,os.option_sets_id from ".TBL_PREFIX.TBL_ITEM_OPTIONS." io inner join ".TBL_PREFIX.TBL_OPTIONS_SETS." os on io.option_id=os.option_sets_id where io.item_id=".$item_id." and os.option_sets_status='Active' and os.option_sets_mandatory = 0");
    }
    
    /**
     * Get Items
     *
     * @param int $offset 
     * @param int $menu_id             
     *
     * @return array
     */ 
    function getItems($offset,$menu_id)
    {
        $limit = ITEMS_PER_PAGE;
        
        $query = "select i.* from ".TBL_PREFIX.TBL_ITEMS." i where i.menu_id=".$menu_id." and i.item_cost > 0 and i.status='Active' order by i.item_name ASC ";
        
        $items = $this->db->query($query);
        $this->numrows = $this->db->affected_rows();
        
        if (count($items)>=0) {
            $query  = $query." LIMIT ".$offset.", ".$limit." ";
            $items = $this->db->query($query);
        }
        $items =  $items->result();
        
        return $items;
    }
    
    
    
    /**
     * Get selected menu items
     *
     * @param int $offset 
     * @param int $menu_id             
     *
     * @return array
     */
    function get_menu_items($offset,$menu_id)
    {
        $limit = MENU_ITEMS_PER_PAGE;
        $items = array();
        $query = "select i.* from ".TBL_PREFIX.TBL_ITEMS." i where i.menu_id=".$menu_id." and i.item_cost >= 0 and i.status='Active' order by i.sort_order ASC ";
        
        $items = $this->db->query($query);
        
        $this->numrows = $this->db->affected_rows();
        
        if ($items->num_rows() > 0) {
            $query  = $query." LIMIT ".$offset.", ".$limit." ";
            $items = $this->db->query($query);
        }
        $items =  $items->result();
        
        //get items addons and options
        if (!empty($items)) {
            foreach ($items as $item) {
                $addons = array();
                $addons = $this->base_model->get_query_result("select io.item_option_id,io.option_label,io.price,os.option_sets_label,os.option_sets_id from ".TBL_PREFIX.TBL_ITEM_OPTIONS." io inner join ".TBL_PREFIX.TBL_OPTIONS_SETS." os on io.option_id=os.option_sets_id where io.item_id=".$item->item_id." and os.option_sets_status='Active' and os.option_sets_mandatory = 0");
                
                $options = array();
                $options = $this->base_model->get_query_result("select io.item_option_id,io.option_label, io.price,os.option_sets_label,os.option_sets_id from ".TBL_PREFIX.TBL_ITEM_OPTIONS." io inner join ".TBL_PREFIX.TBL_OPTIONS_SETS." os on io.option_id=os.option_sets_id where io.item_id=".$item->item_id." and os.option_sets_status='Active' and option_sets_mandatory = 1");
    
                
                $item->addons  = $addons;
                $item->options = $options;
            }
        }
        
        return $items;
    }
    
	
	/**
     * Get selected menu items
     *
     * @param int $offset 
     * @param int $menu_id             
     *
     * @return array
     */
    function get_menu_items_list($menu_id)
    {
        
        $items = array();
        $query = "select i.* from ".TBL_PREFIX.TBL_ITEMS." i where i.menu_id=".$menu_id." and i.item_cost > 0 and i.status='Active' order by i.sort_order ASC ";
        $items = $this->db->query($query);
        $this->numrows = $this->db->affected_rows();
        if ($items->num_rows() > 0) {
            $items = $this->db->query($query);
        }
        $items =  $items->result();
        
        //get items addons and options
        if (!empty($items)) {
            foreach ($items as $item) {
                
                $addons = array();
                $addons = $this->base_model->get_query_result("select io.item_option_id,io.option_label,io.price,os.option_sets_label,os.option_sets_id from ".TBL_PREFIX.TBL_ITEM_OPTIONS." io inner join ".TBL_PREFIX.TBL_OPTIONS_SETS." os on io.option_id=os.option_sets_id where io.item_id=".$item->item_id." and os.option_sets_status='Active' and os.option_sets_mandatory = 0");
                
                $options = array();
                $options = $this->base_model->get_query_result("select io.item_option_id,io.option_label, io.price,os.option_sets_label,os.option_sets_id from ".TBL_PREFIX.TBL_ITEM_OPTIONS." io inner join ".TBL_PREFIX.TBL_OPTIONS_SETS." os on io.option_id=os.option_sets_id where io.item_id=".$item->item_id." and os.option_sets_status='Active' and option_sets_mandatory = 1");
    
                $item->addons  = $addons;
                $item->options = $options;

           
            }
        }
        
        return $items;
    }
	
    
    
    
    /**
     * Get selected menu items
     *
     * @param int $offset 
     * @param int $menu_id             
     *
     * @return array
     */
    function get_home_menu_items($offset,$menu_id)
    {
        $limit = HOME_MENU_ITEMS_PER_PAGE;
        
        $query = "select i.* from ".TBL_PREFIX.TBL_ITEMS." i where i.menu_id=".$menu_id." and i.item_cost > 0 and i.status='Active' ";
        
        $items = $this->db->query($query);
        $this->numrows = $this->db->affected_rows();
        
        if ($items->num_rows()>=0) {
            $query  = $query." LIMIT ".$offset.", ".$limit." ";
            $items = $this->db->query($query);
        }
        $items =  $items->result();
        
        //get items addons and options
        if (!empty($items)) {
            foreach ($items as $item) {
                
                $addons = array();
                $addons = $this->base_model->get_query_result("select ia.item_addon_id,a.addon_id,a.addon_name,a.price from ".TBL_PREFIX.TBL_ITEM_ADDONS." ia inner join ".TBL_PREFIX.TBL_ADDONS." a on ia.addon_id=a.addon_id where ia.item_id=".$item->item_id." and a.status='Active' ");
                
                
                $options = array();
                $options = $this->base_model->get_query_result("select io.item_option_id,io.price,o.option_id,o.option_name from ".TBL_PREFIX.TBL_ITEM_OPTIONS." io inner join ".TBL_PREFIX.TBL_OPTIONS." o on io.option_id=o.option_id where io.item_id=".$item->item_id." and o.status='Active' ");
                
                
                $item->addons  = $addons;
                $item->options = $options;
            }
        }
        
        return $items;
    }
    
   
    /**
     * Get Search items
     *
     * @param int $offset 
     * @param int $search_string        
     *
     * @return array
     */
    function get_search_items($offset,$search_string)
    {
        $limit = MENU_ITEMS_PER_PAGE;
        
        $query = "select i.* from ".TBL_PREFIX.TBL_ITEMS." i where i.item_name like '%".$search_string."%'  and i.item_cost > 0 and i.status='Active' order by i.item_id desc ";
        
        $items = $this->db->query($query);
        $this->numrows = $this->db->affected_rows();
        
        if (count($items)>=0) {
            $query  = $query." LIMIT ".$offset.", ".$limit." ";
            $items = $this->db->query($query);
        }
        $items =  $items->result();
        
        //get items addons and options
        if (!empty($items)) {
            foreach ($items as $item) {
                
                $addons = array();
                $addons = $this->base_model->get_query_result("select ia.item_addon_id,a.addon_id,a.addon_name,a.price from ".TBL_PREFIX.TBL_ITEM_ADDONS." ia inner join ".TBL_PREFIX.TBL_ADDONS." a on ia.addon_id=a.addon_id where ia.item_id=".$item->item_id." and a.status='Active' ");
                
                
                $options = array();
                $options = $this->base_model->get_query_result("select io.item_option_id,io.price,o.option_id,o.option_name from ".TBL_PREFIX.TBL_ITEM_OPTIONS." io inner join ".TBL_PREFIX.TBL_OPTIONS." o on io.option_id=o.option_id where io.item_id=".$item->item_id." and o.status='Active' ");
                
                
                $item->addons  = $addons;
                $item->options = $options;
            }
        }
        
        return $items;
    }
}